depends = ('ITKPyBase', 'ITKCommon', )
templates = (
  ('GPUContextManager', 'itk::GPUContextManager', 'itkGPUContextManager', True),
  ('GPUKernelManager', 'itk::GPUKernelManager', 'itkGPUKernelManager', True),
  ('GPUDataManager', 'itk::GPUDataManager', 'itkGPUDataManager', True),
  ('GPUImage', 'itk::GPUImage', 'itkGPUImageUC2', True, 'unsigned char, 2'),
  ('GPUImage', 'itk::GPUImage', 'itkGPUImageUL2', True, 'unsigned long, 2'),
  ('GPUImage', 'itk::GPUImage', 'itkGPUImageSS2', True, 'signed short, 2'),
  ('GPUImage', 'itk::GPUImage', 'itkGPUImageUS2', True, 'unsigned short, 2'),
  ('GPUImage', 'itk::GPUImage', 'itkGPUImageF2', True, 'float, 2'),
  ('GPUImage', 'itk::GPUImage', 'itkGPUImageD2', True, 'double, 2'),
  ('GPUImage', 'itk::GPUImage', 'itkGPUImageVF22', True, 'itk::Vector< float,2 >, 2'),
  ('GPUImage', 'itk::GPUImage', 'itkGPUImageCVF22', True, 'itk::CovariantVector< float,2 >, 2'),
  ('GPUImage', 'itk::GPUImage', 'itkGPUImageUC3', True, 'unsigned char, 3'),
  ('GPUImage', 'itk::GPUImage', 'itkGPUImageUL3', True, 'unsigned long, 3'),
  ('GPUImage', 'itk::GPUImage', 'itkGPUImageSS3', True, 'signed short, 3'),
  ('GPUImage', 'itk::GPUImage', 'itkGPUImageUS3', True, 'unsigned short, 3'),
  ('GPUImage', 'itk::GPUImage', 'itkGPUImageF3', True, 'float, 3'),
  ('GPUImage', 'itk::GPUImage', 'itkGPUImageD3', True, 'double, 3'),
  ('GPUImage', 'itk::GPUImage', 'itkGPUImageVF33', True, 'itk::Vector< float,3 >, 3'),
  ('GPUImage', 'itk::GPUImage', 'itkGPUImageCVF33', True, 'itk::CovariantVector< float,3 >, 3'),
  ('GPUImageDataManager', 'itk::GPUImageDataManager', 'itkGPUImageDataManagerGIUC2', True, 'itk::GPUImage< unsigned char, 2 >'),
  ('GPUImageDataManager', 'itk::GPUImageDataManager', 'itkGPUImageDataManagerGIUL2', True, 'itk::GPUImage< unsigned long, 2 >'),
  ('GPUImageDataManager', 'itk::GPUImageDataManager', 'itkGPUImageDataManagerGISS2', True, 'itk::GPUImage< signed short, 2 >'),
  ('GPUImageDataManager', 'itk::GPUImageDataManager', 'itkGPUImageDataManagerGIUS2', True, 'itk::GPUImage< unsigned short, 2 >'),
  ('GPUImageDataManager', 'itk::GPUImageDataManager', 'itkGPUImageDataManagerGIF2', True, 'itk::GPUImage< float, 2 >'),
  ('GPUImageDataManager', 'itk::GPUImageDataManager', 'itkGPUImageDataManagerGID2', True, 'itk::GPUImage< double, 2 >'),
  ('GPUImageDataManager', 'itk::GPUImageDataManager', 'itkGPUImageDataManagerGIVF22', True, 'itk::GPUImage< itk::Vector< float,2 >, 2 >'),
  ('GPUImageDataManager', 'itk::GPUImageDataManager', 'itkGPUImageDataManagerGICVF22', True, 'itk::GPUImage< itk::CovariantVector< float,2 >, 2 >'),
  ('GPUImageDataManager', 'itk::GPUImageDataManager', 'itkGPUImageDataManagerGIUC3', True, 'itk::GPUImage< unsigned char, 3 >'),
  ('GPUImageDataManager', 'itk::GPUImageDataManager', 'itkGPUImageDataManagerGIUL3', True, 'itk::GPUImage< unsigned long, 3 >'),
  ('GPUImageDataManager', 'itk::GPUImageDataManager', 'itkGPUImageDataManagerGISS3', True, 'itk::GPUImage< signed short, 3 >'),
  ('GPUImageDataManager', 'itk::GPUImageDataManager', 'itkGPUImageDataManagerGIUS3', True, 'itk::GPUImage< unsigned short, 3 >'),
  ('GPUImageDataManager', 'itk::GPUImageDataManager', 'itkGPUImageDataManagerGIF3', True, 'itk::GPUImage< float, 3 >'),
  ('GPUImageDataManager', 'itk::GPUImageDataManager', 'itkGPUImageDataManagerGID3', True, 'itk::GPUImage< double, 3 >'),
  ('GPUImageDataManager', 'itk::GPUImageDataManager', 'itkGPUImageDataManagerGIVF33', True, 'itk::GPUImage< itk::Vector< float,3 >, 3 >'),
  ('GPUImageDataManager', 'itk::GPUImageDataManager', 'itkGPUImageDataManagerGICVF33', True, 'itk::GPUImage< itk::CovariantVector< float,3 >, 3 >'),
  ('ImageSource', 'itk::ImageSource', 'itkImageSourceGIUC2', False, 'itk::GPUImage< unsigned char, 2 >'),
  ('ImageSource', 'itk::ImageSource', 'itkImageSourceGIUL2', False, 'itk::GPUImage< unsigned long, 2 >'),
  ('ImageSource', 'itk::ImageSource', 'itkImageSourceGISS2', False, 'itk::GPUImage< signed short, 2 >'),
  ('ImageSource', 'itk::ImageSource', 'itkImageSourceGIUS2', False, 'itk::GPUImage< unsigned short, 2 >'),
  ('ImageSource', 'itk::ImageSource', 'itkImageSourceGIF2', False, 'itk::GPUImage< float, 2 >'),
  ('ImageSource', 'itk::ImageSource', 'itkImageSourceGID2', False, 'itk::GPUImage< double, 2 >'),
  ('ImageSource', 'itk::ImageSource', 'itkImageSourceGIVF22', False, 'itk::GPUImage< itk::Vector< float,2 >, 2 >'),
  ('ImageSource', 'itk::ImageSource', 'itkImageSourceGICVF22', False, 'itk::GPUImage< itk::CovariantVector< float,2 >, 2 >'),
  ('ImageSource', 'itk::ImageSource', 'itkImageSourceGIUC3', False, 'itk::GPUImage< unsigned char, 3 >'),
  ('ImageSource', 'itk::ImageSource', 'itkImageSourceGIUL3', False, 'itk::GPUImage< unsigned long, 3 >'),
  ('ImageSource', 'itk::ImageSource', 'itkImageSourceGISS3', False, 'itk::GPUImage< signed short, 3 >'),
  ('ImageSource', 'itk::ImageSource', 'itkImageSourceGIUS3', False, 'itk::GPUImage< unsigned short, 3 >'),
  ('ImageSource', 'itk::ImageSource', 'itkImageSourceGIF3', False, 'itk::GPUImage< float, 3 >'),
  ('ImageSource', 'itk::ImageSource', 'itkImageSourceGID3', False, 'itk::GPUImage< double, 3 >'),
  ('ImageSource', 'itk::ImageSource', 'itkImageSourceGIVF33', False, 'itk::GPUImage< itk::Vector< float,3 >, 3 >'),
  ('ImageSource', 'itk::ImageSource', 'itkImageSourceGICVF33', False, 'itk::GPUImage< itk::CovariantVector< float,3 >, 3 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterIUC2GIUC2', False, 'itk::Image< unsigned char, 2 >, itk::GPUImage< unsigned char, 2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterGIUC2IUC2', False, 'itk::GPUImage< unsigned char, 2 >, itk::Image< unsigned char, 2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterGIUC2GIUC2', False, 'itk::GPUImage< unsigned char, 2 >, itk::GPUImage< unsigned char, 2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterIUC2GIUL2', False, 'itk::Image< unsigned char, 2 >, itk::GPUImage< unsigned long, 2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterGIUC2IUL2', False, 'itk::GPUImage< unsigned char, 2 >, itk::Image< unsigned long, 2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterGIUC2GIUL2', False, 'itk::GPUImage< unsigned char, 2 >, itk::GPUImage< unsigned long, 2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterIUC2GISS2', False, 'itk::Image< unsigned char, 2 >, itk::GPUImage< signed short, 2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterGIUC2ISS2', False, 'itk::GPUImage< unsigned char, 2 >, itk::Image< signed short, 2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterGIUC2GISS2', False, 'itk::GPUImage< unsigned char, 2 >, itk::GPUImage< signed short, 2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterIUC2GIUS2', False, 'itk::Image< unsigned char, 2 >, itk::GPUImage< unsigned short, 2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterGIUC2IUS2', False, 'itk::GPUImage< unsigned char, 2 >, itk::Image< unsigned short, 2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterGIUC2GIUS2', False, 'itk::GPUImage< unsigned char, 2 >, itk::GPUImage< unsigned short, 2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterIUC2GIF2', False, 'itk::Image< unsigned char, 2 >, itk::GPUImage< float, 2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterGIUC2IF2', False, 'itk::GPUImage< unsigned char, 2 >, itk::Image< float, 2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterGIUC2GIF2', False, 'itk::GPUImage< unsigned char, 2 >, itk::GPUImage< float, 2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterIUC2GID2', False, 'itk::Image< unsigned char, 2 >, itk::GPUImage< double, 2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterGIUC2ID2', False, 'itk::GPUImage< unsigned char, 2 >, itk::Image< double, 2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterGIUC2GID2', False, 'itk::GPUImage< unsigned char, 2 >, itk::GPUImage< double, 2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterIUL2GIUC2', False, 'itk::Image< unsigned long, 2 >, itk::GPUImage< unsigned char, 2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterGIUL2IUC2', False, 'itk::GPUImage< unsigned long, 2 >, itk::Image< unsigned char, 2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterGIUL2GIUC2', False, 'itk::GPUImage< unsigned long, 2 >, itk::GPUImage< unsigned char, 2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterIUL2GIUL2', False, 'itk::Image< unsigned long, 2 >, itk::GPUImage< unsigned long, 2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterGIUL2IUL2', False, 'itk::GPUImage< unsigned long, 2 >, itk::Image< unsigned long, 2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterGIUL2GIUL2', False, 'itk::GPUImage< unsigned long, 2 >, itk::GPUImage< unsigned long, 2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterIUL2GISS2', False, 'itk::Image< unsigned long, 2 >, itk::GPUImage< signed short, 2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterGIUL2ISS2', False, 'itk::GPUImage< unsigned long, 2 >, itk::Image< signed short, 2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterGIUL2GISS2', False, 'itk::GPUImage< unsigned long, 2 >, itk::GPUImage< signed short, 2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterIUL2GIUS2', False, 'itk::Image< unsigned long, 2 >, itk::GPUImage< unsigned short, 2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterGIUL2IUS2', False, 'itk::GPUImage< unsigned long, 2 >, itk::Image< unsigned short, 2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterGIUL2GIUS2', False, 'itk::GPUImage< unsigned long, 2 >, itk::GPUImage< unsigned short, 2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterIUL2GIF2', False, 'itk::Image< unsigned long, 2 >, itk::GPUImage< float, 2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterGIUL2IF2', False, 'itk::GPUImage< unsigned long, 2 >, itk::Image< float, 2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterGIUL2GIF2', False, 'itk::GPUImage< unsigned long, 2 >, itk::GPUImage< float, 2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterIUL2GID2', False, 'itk::Image< unsigned long, 2 >, itk::GPUImage< double, 2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterGIUL2ID2', False, 'itk::GPUImage< unsigned long, 2 >, itk::Image< double, 2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterGIUL2GID2', False, 'itk::GPUImage< unsigned long, 2 >, itk::GPUImage< double, 2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterISS2GIUC2', False, 'itk::Image< signed short, 2 >, itk::GPUImage< unsigned char, 2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterGISS2IUC2', False, 'itk::GPUImage< signed short, 2 >, itk::Image< unsigned char, 2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterGISS2GIUC2', False, 'itk::GPUImage< signed short, 2 >, itk::GPUImage< unsigned char, 2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterISS2GIUL2', False, 'itk::Image< signed short, 2 >, itk::GPUImage< unsigned long, 2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterGISS2IUL2', False, 'itk::GPUImage< signed short, 2 >, itk::Image< unsigned long, 2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterGISS2GIUL2', False, 'itk::GPUImage< signed short, 2 >, itk::GPUImage< unsigned long, 2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterISS2GISS2', False, 'itk::Image< signed short, 2 >, itk::GPUImage< signed short, 2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterGISS2ISS2', False, 'itk::GPUImage< signed short, 2 >, itk::Image< signed short, 2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterGISS2GISS2', False, 'itk::GPUImage< signed short, 2 >, itk::GPUImage< signed short, 2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterISS2GIUS2', False, 'itk::Image< signed short, 2 >, itk::GPUImage< unsigned short, 2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterGISS2IUS2', False, 'itk::GPUImage< signed short, 2 >, itk::Image< unsigned short, 2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterGISS2GIUS2', False, 'itk::GPUImage< signed short, 2 >, itk::GPUImage< unsigned short, 2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterISS2GIF2', False, 'itk::Image< signed short, 2 >, itk::GPUImage< float, 2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterGISS2IF2', False, 'itk::GPUImage< signed short, 2 >, itk::Image< float, 2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterGISS2GIF2', False, 'itk::GPUImage< signed short, 2 >, itk::GPUImage< float, 2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterISS2GID2', False, 'itk::Image< signed short, 2 >, itk::GPUImage< double, 2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterGISS2ID2', False, 'itk::GPUImage< signed short, 2 >, itk::Image< double, 2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterGISS2GID2', False, 'itk::GPUImage< signed short, 2 >, itk::GPUImage< double, 2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterIUS2GIUC2', False, 'itk::Image< unsigned short, 2 >, itk::GPUImage< unsigned char, 2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterGIUS2IUC2', False, 'itk::GPUImage< unsigned short, 2 >, itk::Image< unsigned char, 2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterGIUS2GIUC2', False, 'itk::GPUImage< unsigned short, 2 >, itk::GPUImage< unsigned char, 2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterIUS2GIUL2', False, 'itk::Image< unsigned short, 2 >, itk::GPUImage< unsigned long, 2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterGIUS2IUL2', False, 'itk::GPUImage< unsigned short, 2 >, itk::Image< unsigned long, 2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterGIUS2GIUL2', False, 'itk::GPUImage< unsigned short, 2 >, itk::GPUImage< unsigned long, 2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterIUS2GISS2', False, 'itk::Image< unsigned short, 2 >, itk::GPUImage< signed short, 2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterGIUS2ISS2', False, 'itk::GPUImage< unsigned short, 2 >, itk::Image< signed short, 2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterGIUS2GISS2', False, 'itk::GPUImage< unsigned short, 2 >, itk::GPUImage< signed short, 2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterIUS2GIUS2', False, 'itk::Image< unsigned short, 2 >, itk::GPUImage< unsigned short, 2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterGIUS2IUS2', False, 'itk::GPUImage< unsigned short, 2 >, itk::Image< unsigned short, 2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterGIUS2GIUS2', False, 'itk::GPUImage< unsigned short, 2 >, itk::GPUImage< unsigned short, 2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterIUS2GIF2', False, 'itk::Image< unsigned short, 2 >, itk::GPUImage< float, 2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterGIUS2IF2', False, 'itk::GPUImage< unsigned short, 2 >, itk::Image< float, 2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterGIUS2GIF2', False, 'itk::GPUImage< unsigned short, 2 >, itk::GPUImage< float, 2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterIUS2GID2', False, 'itk::Image< unsigned short, 2 >, itk::GPUImage< double, 2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterGIUS2ID2', False, 'itk::GPUImage< unsigned short, 2 >, itk::Image< double, 2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterGIUS2GID2', False, 'itk::GPUImage< unsigned short, 2 >, itk::GPUImage< double, 2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterIF2GIUC2', False, 'itk::Image< float, 2 >, itk::GPUImage< unsigned char, 2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterGIF2IUC2', False, 'itk::GPUImage< float, 2 >, itk::Image< unsigned char, 2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterGIF2GIUC2', False, 'itk::GPUImage< float, 2 >, itk::GPUImage< unsigned char, 2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterIF2GIUL2', False, 'itk::Image< float, 2 >, itk::GPUImage< unsigned long, 2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterGIF2IUL2', False, 'itk::GPUImage< float, 2 >, itk::Image< unsigned long, 2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterGIF2GIUL2', False, 'itk::GPUImage< float, 2 >, itk::GPUImage< unsigned long, 2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterIF2GISS2', False, 'itk::Image< float, 2 >, itk::GPUImage< signed short, 2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterGIF2ISS2', False, 'itk::GPUImage< float, 2 >, itk::Image< signed short, 2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterGIF2GISS2', False, 'itk::GPUImage< float, 2 >, itk::GPUImage< signed short, 2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterIF2GIUS2', False, 'itk::Image< float, 2 >, itk::GPUImage< unsigned short, 2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterGIF2IUS2', False, 'itk::GPUImage< float, 2 >, itk::Image< unsigned short, 2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterGIF2GIUS2', False, 'itk::GPUImage< float, 2 >, itk::GPUImage< unsigned short, 2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterIF2GIF2', False, 'itk::Image< float, 2 >, itk::GPUImage< float, 2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterGIF2IF2', False, 'itk::GPUImage< float, 2 >, itk::Image< float, 2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterGIF2GIF2', False, 'itk::GPUImage< float, 2 >, itk::GPUImage< float, 2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterIF2GID2', False, 'itk::Image< float, 2 >, itk::GPUImage< double, 2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterGIF2ID2', False, 'itk::GPUImage< float, 2 >, itk::Image< double, 2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterGIF2GID2', False, 'itk::GPUImage< float, 2 >, itk::GPUImage< double, 2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterID2GIUC2', False, 'itk::Image< double, 2 >, itk::GPUImage< unsigned char, 2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterGID2IUC2', False, 'itk::GPUImage< double, 2 >, itk::Image< unsigned char, 2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterGID2GIUC2', False, 'itk::GPUImage< double, 2 >, itk::GPUImage< unsigned char, 2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterID2GIUL2', False, 'itk::Image< double, 2 >, itk::GPUImage< unsigned long, 2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterGID2IUL2', False, 'itk::GPUImage< double, 2 >, itk::Image< unsigned long, 2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterGID2GIUL2', False, 'itk::GPUImage< double, 2 >, itk::GPUImage< unsigned long, 2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterID2GISS2', False, 'itk::Image< double, 2 >, itk::GPUImage< signed short, 2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterGID2ISS2', False, 'itk::GPUImage< double, 2 >, itk::Image< signed short, 2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterGID2GISS2', False, 'itk::GPUImage< double, 2 >, itk::GPUImage< signed short, 2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterID2GIUS2', False, 'itk::Image< double, 2 >, itk::GPUImage< unsigned short, 2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterGID2IUS2', False, 'itk::GPUImage< double, 2 >, itk::Image< unsigned short, 2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterGID2GIUS2', False, 'itk::GPUImage< double, 2 >, itk::GPUImage< unsigned short, 2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterID2GIF2', False, 'itk::Image< double, 2 >, itk::GPUImage< float, 2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterGID2IF2', False, 'itk::GPUImage< double, 2 >, itk::Image< float, 2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterGID2GIF2', False, 'itk::GPUImage< double, 2 >, itk::GPUImage< float, 2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterID2GID2', False, 'itk::Image< double, 2 >, itk::GPUImage< double, 2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterGID2ID2', False, 'itk::GPUImage< double, 2 >, itk::Image< double, 2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterGID2GID2', False, 'itk::GPUImage< double, 2 >, itk::GPUImage< double, 2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterIVF22GIVF22', False, 'itk::Image< itk::Vector< float,2 >, 2 >, itk::GPUImage< itk::Vector< float,2 >, 2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterGIVF22IVF22', False, 'itk::GPUImage< itk::Vector< float,2 >, 2 >, itk::Image< itk::Vector< float,2 >, 2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterGIVF22GIVF22', False, 'itk::GPUImage< itk::Vector< float,2 >, 2 >, itk::GPUImage< itk::Vector< float,2 >, 2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterICVF22GICVF22', False, 'itk::Image< itk::CovariantVector< float,2 >, 2 >, itk::GPUImage< itk::CovariantVector< float,2 >, 2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterGICVF22ICVF22', False, 'itk::GPUImage< itk::CovariantVector< float,2 >, 2 >, itk::Image< itk::CovariantVector< float,2 >, 2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterGICVF22GICVF22', False, 'itk::GPUImage< itk::CovariantVector< float,2 >, 2 >, itk::GPUImage< itk::CovariantVector< float,2 >, 2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterIUC3GIUC3', False, 'itk::Image< unsigned char, 3 >, itk::GPUImage< unsigned char, 3 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterGIUC3IUC3', False, 'itk::GPUImage< unsigned char, 3 >, itk::Image< unsigned char, 3 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterGIUC3GIUC3', False, 'itk::GPUImage< unsigned char, 3 >, itk::GPUImage< unsigned char, 3 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterIUC3GIUL3', False, 'itk::Image< unsigned char, 3 >, itk::GPUImage< unsigned long, 3 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterGIUC3IUL3', False, 'itk::GPUImage< unsigned char, 3 >, itk::Image< unsigned long, 3 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterGIUC3GIUL3', False, 'itk::GPUImage< unsigned char, 3 >, itk::GPUImage< unsigned long, 3 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterIUC3GISS3', False, 'itk::Image< unsigned char, 3 >, itk::GPUImage< signed short, 3 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterGIUC3ISS3', False, 'itk::GPUImage< unsigned char, 3 >, itk::Image< signed short, 3 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterGIUC3GISS3', False, 'itk::GPUImage< unsigned char, 3 >, itk::GPUImage< signed short, 3 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterIUC3GIUS3', False, 'itk::Image< unsigned char, 3 >, itk::GPUImage< unsigned short, 3 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterGIUC3IUS3', False, 'itk::GPUImage< unsigned char, 3 >, itk::Image< unsigned short, 3 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterGIUC3GIUS3', False, 'itk::GPUImage< unsigned char, 3 >, itk::GPUImage< unsigned short, 3 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterIUC3GIF3', False, 'itk::Image< unsigned char, 3 >, itk::GPUImage< float, 3 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterGIUC3IF3', False, 'itk::GPUImage< unsigned char, 3 >, itk::Image< float, 3 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterGIUC3GIF3', False, 'itk::GPUImage< unsigned char, 3 >, itk::GPUImage< float, 3 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterIUC3GID3', False, 'itk::Image< unsigned char, 3 >, itk::GPUImage< double, 3 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterGIUC3ID3', False, 'itk::GPUImage< unsigned char, 3 >, itk::Image< double, 3 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterGIUC3GID3', False, 'itk::GPUImage< unsigned char, 3 >, itk::GPUImage< double, 3 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterIUL3GIUC3', False, 'itk::Image< unsigned long, 3 >, itk::GPUImage< unsigned char, 3 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterGIUL3IUC3', False, 'itk::GPUImage< unsigned long, 3 >, itk::Image< unsigned char, 3 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterGIUL3GIUC3', False, 'itk::GPUImage< unsigned long, 3 >, itk::GPUImage< unsigned char, 3 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterIUL3GIUL3', False, 'itk::Image< unsigned long, 3 >, itk::GPUImage< unsigned long, 3 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterGIUL3IUL3', False, 'itk::GPUImage< unsigned long, 3 >, itk::Image< unsigned long, 3 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterGIUL3GIUL3', False, 'itk::GPUImage< unsigned long, 3 >, itk::GPUImage< unsigned long, 3 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterIUL3GISS3', False, 'itk::Image< unsigned long, 3 >, itk::GPUImage< signed short, 3 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterGIUL3ISS3', False, 'itk::GPUImage< unsigned long, 3 >, itk::Image< signed short, 3 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterGIUL3GISS3', False, 'itk::GPUImage< unsigned long, 3 >, itk::GPUImage< signed short, 3 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterIUL3GIUS3', False, 'itk::Image< unsigned long, 3 >, itk::GPUImage< unsigned short, 3 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterGIUL3IUS3', False, 'itk::GPUImage< unsigned long, 3 >, itk::Image< unsigned short, 3 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterGIUL3GIUS3', False, 'itk::GPUImage< unsigned long, 3 >, itk::GPUImage< unsigned short, 3 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterIUL3GIF3', False, 'itk::Image< unsigned long, 3 >, itk::GPUImage< float, 3 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterGIUL3IF3', False, 'itk::GPUImage< unsigned long, 3 >, itk::Image< float, 3 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterGIUL3GIF3', False, 'itk::GPUImage< unsigned long, 3 >, itk::GPUImage< float, 3 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterIUL3GID3', False, 'itk::Image< unsigned long, 3 >, itk::GPUImage< double, 3 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterGIUL3ID3', False, 'itk::GPUImage< unsigned long, 3 >, itk::Image< double, 3 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterGIUL3GID3', False, 'itk::GPUImage< unsigned long, 3 >, itk::GPUImage< double, 3 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterISS3GIUC3', False, 'itk::Image< signed short, 3 >, itk::GPUImage< unsigned char, 3 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterGISS3IUC3', False, 'itk::GPUImage< signed short, 3 >, itk::Image< unsigned char, 3 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterGISS3GIUC3', False, 'itk::GPUImage< signed short, 3 >, itk::GPUImage< unsigned char, 3 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterISS3GIUL3', False, 'itk::Image< signed short, 3 >, itk::GPUImage< unsigned long, 3 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterGISS3IUL3', False, 'itk::GPUImage< signed short, 3 >, itk::Image< unsigned long, 3 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterGISS3GIUL3', False, 'itk::GPUImage< signed short, 3 >, itk::GPUImage< unsigned long, 3 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterISS3GISS3', False, 'itk::Image< signed short, 3 >, itk::GPUImage< signed short, 3 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterGISS3ISS3', False, 'itk::GPUImage< signed short, 3 >, itk::Image< signed short, 3 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterGISS3GISS3', False, 'itk::GPUImage< signed short, 3 >, itk::GPUImage< signed short, 3 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterISS3GIUS3', False, 'itk::Image< signed short, 3 >, itk::GPUImage< unsigned short, 3 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterGISS3IUS3', False, 'itk::GPUImage< signed short, 3 >, itk::Image< unsigned short, 3 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterGISS3GIUS3', False, 'itk::GPUImage< signed short, 3 >, itk::GPUImage< unsigned short, 3 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterISS3GIF3', False, 'itk::Image< signed short, 3 >, itk::GPUImage< float, 3 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterGISS3IF3', False, 'itk::GPUImage< signed short, 3 >, itk::Image< float, 3 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterGISS3GIF3', False, 'itk::GPUImage< signed short, 3 >, itk::GPUImage< float, 3 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterISS3GID3', False, 'itk::Image< signed short, 3 >, itk::GPUImage< double, 3 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterGISS3ID3', False, 'itk::GPUImage< signed short, 3 >, itk::Image< double, 3 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterGISS3GID3', False, 'itk::GPUImage< signed short, 3 >, itk::GPUImage< double, 3 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterIUS3GIUC3', False, 'itk::Image< unsigned short, 3 >, itk::GPUImage< unsigned char, 3 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterGIUS3IUC3', False, 'itk::GPUImage< unsigned short, 3 >, itk::Image< unsigned char, 3 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterGIUS3GIUC3', False, 'itk::GPUImage< unsigned short, 3 >, itk::GPUImage< unsigned char, 3 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterIUS3GIUL3', False, 'itk::Image< unsigned short, 3 >, itk::GPUImage< unsigned long, 3 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterGIUS3IUL3', False, 'itk::GPUImage< unsigned short, 3 >, itk::Image< unsigned long, 3 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterGIUS3GIUL3', False, 'itk::GPUImage< unsigned short, 3 >, itk::GPUImage< unsigned long, 3 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterIUS3GISS3', False, 'itk::Image< unsigned short, 3 >, itk::GPUImage< signed short, 3 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterGIUS3ISS3', False, 'itk::GPUImage< unsigned short, 3 >, itk::Image< signed short, 3 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterGIUS3GISS3', False, 'itk::GPUImage< unsigned short, 3 >, itk::GPUImage< signed short, 3 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterIUS3GIUS3', False, 'itk::Image< unsigned short, 3 >, itk::GPUImage< unsigned short, 3 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterGIUS3IUS3', False, 'itk::GPUImage< unsigned short, 3 >, itk::Image< unsigned short, 3 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterGIUS3GIUS3', False, 'itk::GPUImage< unsigned short, 3 >, itk::GPUImage< unsigned short, 3 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterIUS3GIF3', False, 'itk::Image< unsigned short, 3 >, itk::GPUImage< float, 3 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterGIUS3IF3', False, 'itk::GPUImage< unsigned short, 3 >, itk::Image< float, 3 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterGIUS3GIF3', False, 'itk::GPUImage< unsigned short, 3 >, itk::GPUImage< float, 3 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterIUS3GID3', False, 'itk::Image< unsigned short, 3 >, itk::GPUImage< double, 3 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterGIUS3ID3', False, 'itk::GPUImage< unsigned short, 3 >, itk::Image< double, 3 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterGIUS3GID3', False, 'itk::GPUImage< unsigned short, 3 >, itk::GPUImage< double, 3 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterIF3GIUC3', False, 'itk::Image< float, 3 >, itk::GPUImage< unsigned char, 3 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterGIF3IUC3', False, 'itk::GPUImage< float, 3 >, itk::Image< unsigned char, 3 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterGIF3GIUC3', False, 'itk::GPUImage< float, 3 >, itk::GPUImage< unsigned char, 3 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterIF3GIUL3', False, 'itk::Image< float, 3 >, itk::GPUImage< unsigned long, 3 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterGIF3IUL3', False, 'itk::GPUImage< float, 3 >, itk::Image< unsigned long, 3 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterGIF3GIUL3', False, 'itk::GPUImage< float, 3 >, itk::GPUImage< unsigned long, 3 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterIF3GISS3', False, 'itk::Image< float, 3 >, itk::GPUImage< signed short, 3 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterGIF3ISS3', False, 'itk::GPUImage< float, 3 >, itk::Image< signed short, 3 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterGIF3GISS3', False, 'itk::GPUImage< float, 3 >, itk::GPUImage< signed short, 3 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterIF3GIUS3', False, 'itk::Image< float, 3 >, itk::GPUImage< unsigned short, 3 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterGIF3IUS3', False, 'itk::GPUImage< float, 3 >, itk::Image< unsigned short, 3 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterGIF3GIUS3', False, 'itk::GPUImage< float, 3 >, itk::GPUImage< unsigned short, 3 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterIF3GIF3', False, 'itk::Image< float, 3 >, itk::GPUImage< float, 3 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterGIF3IF3', False, 'itk::GPUImage< float, 3 >, itk::Image< float, 3 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterGIF3GIF3', False, 'itk::GPUImage< float, 3 >, itk::GPUImage< float, 3 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterIF3GID3', False, 'itk::Image< float, 3 >, itk::GPUImage< double, 3 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterGIF3ID3', False, 'itk::GPUImage< float, 3 >, itk::Image< double, 3 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterGIF3GID3', False, 'itk::GPUImage< float, 3 >, itk::GPUImage< double, 3 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterID3GIUC3', False, 'itk::Image< double, 3 >, itk::GPUImage< unsigned char, 3 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterGID3IUC3', False, 'itk::GPUImage< double, 3 >, itk::Image< unsigned char, 3 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterGID3GIUC3', False, 'itk::GPUImage< double, 3 >, itk::GPUImage< unsigned char, 3 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterID3GIUL3', False, 'itk::Image< double, 3 >, itk::GPUImage< unsigned long, 3 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterGID3IUL3', False, 'itk::GPUImage< double, 3 >, itk::Image< unsigned long, 3 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterGID3GIUL3', False, 'itk::GPUImage< double, 3 >, itk::GPUImage< unsigned long, 3 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterID3GISS3', False, 'itk::Image< double, 3 >, itk::GPUImage< signed short, 3 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterGID3ISS3', False, 'itk::GPUImage< double, 3 >, itk::Image< signed short, 3 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterGID3GISS3', False, 'itk::GPUImage< double, 3 >, itk::GPUImage< signed short, 3 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterID3GIUS3', False, 'itk::Image< double, 3 >, itk::GPUImage< unsigned short, 3 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterGID3IUS3', False, 'itk::GPUImage< double, 3 >, itk::Image< unsigned short, 3 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterGID3GIUS3', False, 'itk::GPUImage< double, 3 >, itk::GPUImage< unsigned short, 3 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterID3GIF3', False, 'itk::Image< double, 3 >, itk::GPUImage< float, 3 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterGID3IF3', False, 'itk::GPUImage< double, 3 >, itk::Image< float, 3 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterGID3GIF3', False, 'itk::GPUImage< double, 3 >, itk::GPUImage< float, 3 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterID3GID3', False, 'itk::Image< double, 3 >, itk::GPUImage< double, 3 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterGID3ID3', False, 'itk::GPUImage< double, 3 >, itk::Image< double, 3 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterGID3GID3', False, 'itk::GPUImage< double, 3 >, itk::GPUImage< double, 3 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterIVF33GIVF33', False, 'itk::Image< itk::Vector< float,3 >, 3 >, itk::GPUImage< itk::Vector< float,3 >, 3 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterGIVF33IVF33', False, 'itk::GPUImage< itk::Vector< float,3 >, 3 >, itk::Image< itk::Vector< float,3 >, 3 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterGIVF33GIVF33', False, 'itk::GPUImage< itk::Vector< float,3 >, 3 >, itk::GPUImage< itk::Vector< float,3 >, 3 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterICVF33GICVF33', False, 'itk::Image< itk::CovariantVector< float,3 >, 3 >, itk::GPUImage< itk::CovariantVector< float,3 >, 3 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterGICVF33ICVF33', False, 'itk::GPUImage< itk::CovariantVector< float,3 >, 3 >, itk::Image< itk::CovariantVector< float,3 >, 3 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterGICVF33GICVF33', False, 'itk::GPUImage< itk::CovariantVector< float,3 >, 3 >, itk::GPUImage< itk::CovariantVector< float,3 >, 3 >'),
  ('GPUImageToImageFilter', 'itk::GPUImageToImageFilter', 'itkGPUImageToImageFilterIUC2GIUC2', True, 'itk::Image< unsigned char, 2 >, itk::GPUImage< unsigned char, 2 >'),
  ('GPUImageToImageFilter', 'itk::GPUImageToImageFilter', 'itkGPUImageToImageFilterGIUC2IUC2', True, 'itk::GPUImage< unsigned char, 2 >, itk::Image< unsigned char, 2 >'),
  ('GPUImageToImageFilter', 'itk::GPUImageToImageFilter', 'itkGPUImageToImageFilterGIUC2GIUC2', True, 'itk::GPUImage< unsigned char, 2 >, itk::GPUImage< unsigned char, 2 >'),
  ('GPUImageToImageFilter', 'itk::GPUImageToImageFilter', 'itkGPUImageToImageFilterIUC2GIUL2', True, 'itk::Image< unsigned char, 2 >, itk::GPUImage< unsigned long, 2 >'),
  ('GPUImageToImageFilter', 'itk::GPUImageToImageFilter', 'itkGPUImageToImageFilterGIUC2IUL2', True, 'itk::GPUImage< unsigned char, 2 >, itk::Image< unsigned long, 2 >'),
  ('GPUImageToImageFilter', 'itk::GPUImageToImageFilter', 'itkGPUImageToImageFilterGIUC2GIUL2', True, 'itk::GPUImage< unsigned char, 2 >, itk::GPUImage< unsigned long, 2 >'),
  ('GPUImageToImageFilter', 'itk::GPUImageToImageFilter', 'itkGPUImageToImageFilterIUC2GISS2', True, 'itk::Image< unsigned char, 2 >, itk::GPUImage< signed short, 2 >'),
  ('GPUImageToImageFilter', 'itk::GPUImageToImageFilter', 'itkGPUImageToImageFilterGIUC2ISS2', True, 'itk::GPUImage< unsigned char, 2 >, itk::Image< signed short, 2 >'),
  ('GPUImageToImageFilter', 'itk::GPUImageToImageFilter', 'itkGPUImageToImageFilterGIUC2GISS2', True, 'itk::GPUImage< unsigned char, 2 >, itk::GPUImage< signed short, 2 >'),
  ('GPUImageToImageFilter', 'itk::GPUImageToImageFilter', 'itkGPUImageToImageFilterIUC2GIUS2', True, 'itk::Image< unsigned char, 2 >, itk::GPUImage< unsigned short, 2 >'),
  ('GPUImageToImageFilter', 'itk::GPUImageToImageFilter', 'itkGPUImageToImageFilterGIUC2IUS2', True, 'itk::GPUImage< unsigned char, 2 >, itk::Image< unsigned short, 2 >'),
  ('GPUImageToImageFilter', 'itk::GPUImageToImageFilter', 'itkGPUImageToImageFilterGIUC2GIUS2', True, 'itk::GPUImage< unsigned char, 2 >, itk::GPUImage< unsigned short, 2 >'),
  ('GPUImageToImageFilter', 'itk::GPUImageToImageFilter', 'itkGPUImageToImageFilterIUC2GIF2', True, 'itk::Image< unsigned char, 2 >, itk::GPUImage< float, 2 >'),
  ('GPUImageToImageFilter', 'itk::GPUImageToImageFilter', 'itkGPUImageToImageFilterGIUC2IF2', True, 'itk::GPUImage< unsigned char, 2 >, itk::Image< float, 2 >'),
  ('GPUImageToImageFilter', 'itk::GPUImageToImageFilter', 'itkGPUImageToImageFilterGIUC2GIF2', True, 'itk::GPUImage< unsigned char, 2 >, itk::GPUImage< float, 2 >'),
  ('GPUImageToImageFilter', 'itk::GPUImageToImageFilter', 'itkGPUImageToImageFilterIUC2GID2', True, 'itk::Image< unsigned char, 2 >, itk::GPUImage< double, 2 >'),
  ('GPUImageToImageFilter', 'itk::GPUImageToImageFilter', 'itkGPUImageToImageFilterGIUC2ID2', True, 'itk::GPUImage< unsigned char, 2 >, itk::Image< double, 2 >'),
  ('GPUImageToImageFilter', 'itk::GPUImageToImageFilter', 'itkGPUImageToImageFilterGIUC2GID2', True, 'itk::GPUImage< unsigned char, 2 >, itk::GPUImage< double, 2 >'),
  ('GPUImageToImageFilter', 'itk::GPUImageToImageFilter', 'itkGPUImageToImageFilterIUL2GIUC2', True, 'itk::Image< unsigned long, 2 >, itk::GPUImage< unsigned char, 2 >'),
  ('GPUImageToImageFilter', 'itk::GPUImageToImageFilter', 'itkGPUImageToImageFilterGIUL2IUC2', True, 'itk::GPUImage< unsigned long, 2 >, itk::Image< unsigned char, 2 >'),
  ('GPUImageToImageFilter', 'itk::GPUImageToImageFilter', 'itkGPUImageToImageFilterGIUL2GIUC2', True, 'itk::GPUImage< unsigned long, 2 >, itk::GPUImage< unsigned char, 2 >'),
  ('GPUImageToImageFilter', 'itk::GPUImageToImageFilter', 'itkGPUImageToImageFilterIUL2GIUL2', True, 'itk::Image< unsigned long, 2 >, itk::GPUImage< unsigned long, 2 >'),
  ('GPUImageToImageFilter', 'itk::GPUImageToImageFilter', 'itkGPUImageToImageFilterGIUL2IUL2', True, 'itk::GPUImage< unsigned long, 2 >, itk::Image< unsigned long, 2 >'),
  ('GPUImageToImageFilter', 'itk::GPUImageToImageFilter', 'itkGPUImageToImageFilterGIUL2GIUL2', True, 'itk::GPUImage< unsigned long, 2 >, itk::GPUImage< unsigned long, 2 >'),
  ('GPUImageToImageFilter', 'itk::GPUImageToImageFilter', 'itkGPUImageToImageFilterIUL2GISS2', True, 'itk::Image< unsigned long, 2 >, itk::GPUImage< signed short, 2 >'),
  ('GPUImageToImageFilter', 'itk::GPUImageToImageFilter', 'itkGPUImageToImageFilterGIUL2ISS2', True, 'itk::GPUImage< unsigned long, 2 >, itk::Image< signed short, 2 >'),
  ('GPUImageToImageFilter', 'itk::GPUImageToImageFilter', 'itkGPUImageToImageFilterGIUL2GISS2', True, 'itk::GPUImage< unsigned long, 2 >, itk::GPUImage< signed short, 2 >'),
  ('GPUImageToImageFilter', 'itk::GPUImageToImageFilter', 'itkGPUImageToImageFilterIUL2GIUS2', True, 'itk::Image< unsigned long, 2 >, itk::GPUImage< unsigned short, 2 >'),
  ('GPUImageToImageFilter', 'itk::GPUImageToImageFilter', 'itkGPUImageToImageFilterGIUL2IUS2', True, 'itk::GPUImage< unsigned long, 2 >, itk::Image< unsigned short, 2 >'),
  ('GPUImageToImageFilter', 'itk::GPUImageToImageFilter', 'itkGPUImageToImageFilterGIUL2GIUS2', True, 'itk::GPUImage< unsigned long, 2 >, itk::GPUImage< unsigned short, 2 >'),
  ('GPUImageToImageFilter', 'itk::GPUImageToImageFilter', 'itkGPUImageToImageFilterIUL2GIF2', True, 'itk::Image< unsigned long, 2 >, itk::GPUImage< float, 2 >'),
  ('GPUImageToImageFilter', 'itk::GPUImageToImageFilter', 'itkGPUImageToImageFilterGIUL2IF2', True, 'itk::GPUImage< unsigned long, 2 >, itk::Image< float, 2 >'),
  ('GPUImageToImageFilter', 'itk::GPUImageToImageFilter', 'itkGPUImageToImageFilterGIUL2GIF2', True, 'itk::GPUImage< unsigned long, 2 >, itk::GPUImage< float, 2 >'),
  ('GPUImageToImageFilter', 'itk::GPUImageToImageFilter', 'itkGPUImageToImageFilterIUL2GID2', True, 'itk::Image< unsigned long, 2 >, itk::GPUImage< double, 2 >'),
  ('GPUImageToImageFilter', 'itk::GPUImageToImageFilter', 'itkGPUImageToImageFilterGIUL2ID2', True, 'itk::GPUImage< unsigned long, 2 >, itk::Image< double, 2 >'),
  ('GPUImageToImageFilter', 'itk::GPUImageToImageFilter', 'itkGPUImageToImageFilterGIUL2GID2', True, 'itk::GPUImage< unsigned long, 2 >, itk::GPUImage< double, 2 >'),
  ('GPUImageToImageFilter', 'itk::GPUImageToImageFilter', 'itkGPUImageToImageFilterISS2GIUC2', True, 'itk::Image< signed short, 2 >, itk::GPUImage< unsigned char, 2 >'),
  ('GPUImageToImageFilter', 'itk::GPUImageToImageFilter', 'itkGPUImageToImageFilterGISS2IUC2', True, 'itk::GPUImage< signed short, 2 >, itk::Image< unsigned char, 2 >'),
  ('GPUImageToImageFilter', 'itk::GPUImageToImageFilter', 'itkGPUImageToImageFilterGISS2GIUC2', True, 'itk::GPUImage< signed short, 2 >, itk::GPUImage< unsigned char, 2 >'),
  ('GPUImageToImageFilter', 'itk::GPUImageToImageFilter', 'itkGPUImageToImageFilterISS2GIUL2', True, 'itk::Image< signed short, 2 >, itk::GPUImage< unsigned long, 2 >'),
  ('GPUImageToImageFilter', 'itk::GPUImageToImageFilter', 'itkGPUImageToImageFilterGISS2IUL2', True, 'itk::GPUImage< signed short, 2 >, itk::Image< unsigned long, 2 >'),
  ('GPUImageToImageFilter', 'itk::GPUImageToImageFilter', 'itkGPUImageToImageFilterGISS2GIUL2', True, 'itk::GPUImage< signed short, 2 >, itk::GPUImage< unsigned long, 2 >'),
  ('GPUImageToImageFilter', 'itk::GPUImageToImageFilter', 'itkGPUImageToImageFilterISS2GISS2', True, 'itk::Image< signed short, 2 >, itk::GPUImage< signed short, 2 >'),
  ('GPUImageToImageFilter', 'itk::GPUImageToImageFilter', 'itkGPUImageToImageFilterGISS2ISS2', True, 'itk::GPUImage< signed short, 2 >, itk::Image< signed short, 2 >'),
  ('GPUImageToImageFilter', 'itk::GPUImageToImageFilter', 'itkGPUImageToImageFilterGISS2GISS2', True, 'itk::GPUImage< signed short, 2 >, itk::GPUImage< signed short, 2 >'),
  ('GPUImageToImageFilter', 'itk::GPUImageToImageFilter', 'itkGPUImageToImageFilterISS2GIUS2', True, 'itk::Image< signed short, 2 >, itk::GPUImage< unsigned short, 2 >'),
  ('GPUImageToImageFilter', 'itk::GPUImageToImageFilter', 'itkGPUImageToImageFilterGISS2IUS2', True, 'itk::GPUImage< signed short, 2 >, itk::Image< unsigned short, 2 >'),
  ('GPUImageToImageFilter', 'itk::GPUImageToImageFilter', 'itkGPUImageToImageFilterGISS2GIUS2', True, 'itk::GPUImage< signed short, 2 >, itk::GPUImage< unsigned short, 2 >'),
  ('GPUImageToImageFilter', 'itk::GPUImageToImageFilter', 'itkGPUImageToImageFilterISS2GIF2', True, 'itk::Image< signed short, 2 >, itk::GPUImage< float, 2 >'),
  ('GPUImageToImageFilter', 'itk::GPUImageToImageFilter', 'itkGPUImageToImageFilterGISS2IF2', True, 'itk::GPUImage< signed short, 2 >, itk::Image< float, 2 >'),
  ('GPUImageToImageFilter', 'itk::GPUImageToImageFilter', 'itkGPUImageToImageFilterGISS2GIF2', True, 'itk::GPUImage< signed short, 2 >, itk::GPUImage< float, 2 >'),
  ('GPUImageToImageFilter', 'itk::GPUImageToImageFilter', 'itkGPUImageToImageFilterISS2GID2', True, 'itk::Image< signed short, 2 >, itk::GPUImage< double, 2 >'),
  ('GPUImageToImageFilter', 'itk::GPUImageToImageFilter', 'itkGPUImageToImageFilterGISS2ID2', True, 'itk::GPUImage< signed short, 2 >, itk::Image< double, 2 >'),
  ('GPUImageToImageFilter', 'itk::GPUImageToImageFilter', 'itkGPUImageToImageFilterGISS2GID2', True, 'itk::GPUImage< signed short, 2 >, itk::GPUImage< double, 2 >'),
  ('GPUImageToImageFilter', 'itk::GPUImageToImageFilter', 'itkGPUImageToImageFilterIUS2GIUC2', True, 'itk::Image< unsigned short, 2 >, itk::GPUImage< unsigned char, 2 >'),
  ('GPUImageToImageFilter', 'itk::GPUImageToImageFilter', 'itkGPUImageToImageFilterGIUS2IUC2', True, 'itk::GPUImage< unsigned short, 2 >, itk::Image< unsigned char, 2 >'),
  ('GPUImageToImageFilter', 'itk::GPUImageToImageFilter', 'itkGPUImageToImageFilterGIUS2GIUC2', True, 'itk::GPUImage< unsigned short, 2 >, itk::GPUImage< unsigned char, 2 >'),
  ('GPUImageToImageFilter', 'itk::GPUImageToImageFilter', 'itkGPUImageToImageFilterIUS2GIUL2', True, 'itk::Image< unsigned short, 2 >, itk::GPUImage< unsigned long, 2 >'),
  ('GPUImageToImageFilter', 'itk::GPUImageToImageFilter', 'itkGPUImageToImageFilterGIUS2IUL2', True, 'itk::GPUImage< unsigned short, 2 >, itk::Image< unsigned long, 2 >'),
  ('GPUImageToImageFilter', 'itk::GPUImageToImageFilter', 'itkGPUImageToImageFilterGIUS2GIUL2', True, 'itk::GPUImage< unsigned short, 2 >, itk::GPUImage< unsigned long, 2 >'),
  ('GPUImageToImageFilter', 'itk::GPUImageToImageFilter', 'itkGPUImageToImageFilterIUS2GISS2', True, 'itk::Image< unsigned short, 2 >, itk::GPUImage< signed short, 2 >'),
  ('GPUImageToImageFilter', 'itk::GPUImageToImageFilter', 'itkGPUImageToImageFilterGIUS2ISS2', True, 'itk::GPUImage< unsigned short, 2 >, itk::Image< signed short, 2 >'),
  ('GPUImageToImageFilter', 'itk::GPUImageToImageFilter', 'itkGPUImageToImageFilterGIUS2GISS2', True, 'itk::GPUImage< unsigned short, 2 >, itk::GPUImage< signed short, 2 >'),
  ('GPUImageToImageFilter', 'itk::GPUImageToImageFilter', 'itkGPUImageToImageFilterIUS2GIUS2', True, 'itk::Image< unsigned short, 2 >, itk::GPUImage< unsigned short, 2 >'),
  ('GPUImageToImageFilter', 'itk::GPUImageToImageFilter', 'itkGPUImageToImageFilterGIUS2IUS2', True, 'itk::GPUImage< unsigned short, 2 >, itk::Image< unsigned short, 2 >'),
  ('GPUImageToImageFilter', 'itk::GPUImageToImageFilter', 'itkGPUImageToImageFilterGIUS2GIUS2', True, 'itk::GPUImage< unsigned short, 2 >, itk::GPUImage< unsigned short, 2 >'),
  ('GPUImageToImageFilter', 'itk::GPUImageToImageFilter', 'itkGPUImageToImageFilterIUS2GIF2', True, 'itk::Image< unsigned short, 2 >, itk::GPUImage< float, 2 >'),
  ('GPUImageToImageFilter', 'itk::GPUImageToImageFilter', 'itkGPUImageToImageFilterGIUS2IF2', True, 'itk::GPUImage< unsigned short, 2 >, itk::Image< float, 2 >'),
  ('GPUImageToImageFilter', 'itk::GPUImageToImageFilter', 'itkGPUImageToImageFilterGIUS2GIF2', True, 'itk::GPUImage< unsigned short, 2 >, itk::GPUImage< float, 2 >'),
  ('GPUImageToImageFilter', 'itk::GPUImageToImageFilter', 'itkGPUImageToImageFilterIUS2GID2', True, 'itk::Image< unsigned short, 2 >, itk::GPUImage< double, 2 >'),
  ('GPUImageToImageFilter', 'itk::GPUImageToImageFilter', 'itkGPUImageToImageFilterGIUS2ID2', True, 'itk::GPUImage< unsigned short, 2 >, itk::Image< double, 2 >'),
  ('GPUImageToImageFilter', 'itk::GPUImageToImageFilter', 'itkGPUImageToImageFilterGIUS2GID2', True, 'itk::GPUImage< unsigned short, 2 >, itk::GPUImage< double, 2 >'),
  ('GPUImageToImageFilter', 'itk::GPUImageToImageFilter', 'itkGPUImageToImageFilterIF2GIUC2', True, 'itk::Image< float, 2 >, itk::GPUImage< unsigned char, 2 >'),
  ('GPUImageToImageFilter', 'itk::GPUImageToImageFilter', 'itkGPUImageToImageFilterGIF2IUC2', True, 'itk::GPUImage< float, 2 >, itk::Image< unsigned char, 2 >'),
  ('GPUImageToImageFilter', 'itk::GPUImageToImageFilter', 'itkGPUImageToImageFilterGIF2GIUC2', True, 'itk::GPUImage< float, 2 >, itk::GPUImage< unsigned char, 2 >'),
  ('GPUImageToImageFilter', 'itk::GPUImageToImageFilter', 'itkGPUImageToImageFilterIF2GIUL2', True, 'itk::Image< float, 2 >, itk::GPUImage< unsigned long, 2 >'),
  ('GPUImageToImageFilter', 'itk::GPUImageToImageFilter', 'itkGPUImageToImageFilterGIF2IUL2', True, 'itk::GPUImage< float, 2 >, itk::Image< unsigned long, 2 >'),
  ('GPUImageToImageFilter', 'itk::GPUImageToImageFilter', 'itkGPUImageToImageFilterGIF2GIUL2', True, 'itk::GPUImage< float, 2 >, itk::GPUImage< unsigned long, 2 >'),
  ('GPUImageToImageFilter', 'itk::GPUImageToImageFilter', 'itkGPUImageToImageFilterIF2GISS2', True, 'itk::Image< float, 2 >, itk::GPUImage< signed short, 2 >'),
  ('GPUImageToImageFilter', 'itk::GPUImageToImageFilter', 'itkGPUImageToImageFilterGIF2ISS2', True, 'itk::GPUImage< float, 2 >, itk::Image< signed short, 2 >'),
  ('GPUImageToImageFilter', 'itk::GPUImageToImageFilter', 'itkGPUImageToImageFilterGIF2GISS2', True, 'itk::GPUImage< float, 2 >, itk::GPUImage< signed short, 2 >'),
  ('GPUImageToImageFilter', 'itk::GPUImageToImageFilter', 'itkGPUImageToImageFilterIF2GIUS2', True, 'itk::Image< float, 2 >, itk::GPUImage< unsigned short, 2 >'),
  ('GPUImageToImageFilter', 'itk::GPUImageToImageFilter', 'itkGPUImageToImageFilterGIF2IUS2', True, 'itk::GPUImage< float, 2 >, itk::Image< unsigned short, 2 >'),
  ('GPUImageToImageFilter', 'itk::GPUImageToImageFilter', 'itkGPUImageToImageFilterGIF2GIUS2', True, 'itk::GPUImage< float, 2 >, itk::GPUImage< unsigned short, 2 >'),
  ('GPUImageToImageFilter', 'itk::GPUImageToImageFilter', 'itkGPUImageToImageFilterIF2GIF2', True, 'itk::Image< float, 2 >, itk::GPUImage< float, 2 >'),
  ('GPUImageToImageFilter', 'itk::GPUImageToImageFilter', 'itkGPUImageToImageFilterGIF2IF2', True, 'itk::GPUImage< float, 2 >, itk::Image< float, 2 >'),
  ('GPUImageToImageFilter', 'itk::GPUImageToImageFilter', 'itkGPUImageToImageFilterGIF2GIF2', True, 'itk::GPUImage< float, 2 >, itk::GPUImage< float, 2 >'),
  ('GPUImageToImageFilter', 'itk::GPUImageToImageFilter', 'itkGPUImageToImageFilterIF2GID2', True, 'itk::Image< float, 2 >, itk::GPUImage< double, 2 >'),
  ('GPUImageToImageFilter', 'itk::GPUImageToImageFilter', 'itkGPUImageToImageFilterGIF2ID2', True, 'itk::GPUImage< float, 2 >, itk::Image< double, 2 >'),
  ('GPUImageToImageFilter', 'itk::GPUImageToImageFilter', 'itkGPUImageToImageFilterGIF2GID2', True, 'itk::GPUImage< float, 2 >, itk::GPUImage< double, 2 >'),
  ('GPUImageToImageFilter', 'itk::GPUImageToImageFilter', 'itkGPUImageToImageFilterID2GIUC2', True, 'itk::Image< double, 2 >, itk::GPUImage< unsigned char, 2 >'),
  ('GPUImageToImageFilter', 'itk::GPUImageToImageFilter', 'itkGPUImageToImageFilterGID2IUC2', True, 'itk::GPUImage< double, 2 >, itk::Image< unsigned char, 2 >'),
  ('GPUImageToImageFilter', 'itk::GPUImageToImageFilter', 'itkGPUImageToImageFilterGID2GIUC2', True, 'itk::GPUImage< double, 2 >, itk::GPUImage< unsigned char, 2 >'),
  ('GPUImageToImageFilter', 'itk::GPUImageToImageFilter', 'itkGPUImageToImageFilterID2GIUL2', True, 'itk::Image< double, 2 >, itk::GPUImage< unsigned long, 2 >'),
  ('GPUImageToImageFilter', 'itk::GPUImageToImageFilter', 'itkGPUImageToImageFilterGID2IUL2', True, 'itk::GPUImage< double, 2 >, itk::Image< unsigned long, 2 >'),
  ('GPUImageToImageFilter', 'itk::GPUImageToImageFilter', 'itkGPUImageToImageFilterGID2GIUL2', True, 'itk::GPUImage< double, 2 >, itk::GPUImage< unsigned long, 2 >'),
  ('GPUImageToImageFilter', 'itk::GPUImageToImageFilter', 'itkGPUImageToImageFilterID2GISS2', True, 'itk::Image< double, 2 >, itk::GPUImage< signed short, 2 >'),
  ('GPUImageToImageFilter', 'itk::GPUImageToImageFilter', 'itkGPUImageToImageFilterGID2ISS2', True, 'itk::GPUImage< double, 2 >, itk::Image< signed short, 2 >'),
  ('GPUImageToImageFilter', 'itk::GPUImageToImageFilter', 'itkGPUImageToImageFilterGID2GISS2', True, 'itk::GPUImage< double, 2 >, itk::GPUImage< signed short, 2 >'),
  ('GPUImageToImageFilter', 'itk::GPUImageToImageFilter', 'itkGPUImageToImageFilterID2GIUS2', True, 'itk::Image< double, 2 >, itk::GPUImage< unsigned short, 2 >'),
  ('GPUImageToImageFilter', 'itk::GPUImageToImageFilter', 'itkGPUImageToImageFilterGID2IUS2', True, 'itk::GPUImage< double, 2 >, itk::Image< unsigned short, 2 >'),
  ('GPUImageToImageFilter', 'itk::GPUImageToImageFilter', 'itkGPUImageToImageFilterGID2GIUS2', True, 'itk::GPUImage< double, 2 >, itk::GPUImage< unsigned short, 2 >'),
  ('GPUImageToImageFilter', 'itk::GPUImageToImageFilter', 'itkGPUImageToImageFilterID2GIF2', True, 'itk::Image< double, 2 >, itk::GPUImage< float, 2 >'),
  ('GPUImageToImageFilter', 'itk::GPUImageToImageFilter', 'itkGPUImageToImageFilterGID2IF2', True, 'itk::GPUImage< double, 2 >, itk::Image< float, 2 >'),
  ('GPUImageToImageFilter', 'itk::GPUImageToImageFilter', 'itkGPUImageToImageFilterGID2GIF2', True, 'itk::GPUImage< double, 2 >, itk::GPUImage< float, 2 >'),
  ('GPUImageToImageFilter', 'itk::GPUImageToImageFilter', 'itkGPUImageToImageFilterID2GID2', True, 'itk::Image< double, 2 >, itk::GPUImage< double, 2 >'),
  ('GPUImageToImageFilter', 'itk::GPUImageToImageFilter', 'itkGPUImageToImageFilterGID2ID2', True, 'itk::GPUImage< double, 2 >, itk::Image< double, 2 >'),
  ('GPUImageToImageFilter', 'itk::GPUImageToImageFilter', 'itkGPUImageToImageFilterGID2GID2', True, 'itk::GPUImage< double, 2 >, itk::GPUImage< double, 2 >'),
  ('GPUImageToImageFilter', 'itk::GPUImageToImageFilter', 'itkGPUImageToImageFilterIVF22GIVF22', True, 'itk::Image< itk::Vector< float,2 >, 2 >, itk::GPUImage< itk::Vector< float,2 >, 2 >'),
  ('GPUImageToImageFilter', 'itk::GPUImageToImageFilter', 'itkGPUImageToImageFilterGIVF22IVF22', True, 'itk::GPUImage< itk::Vector< float,2 >, 2 >, itk::Image< itk::Vector< float,2 >, 2 >'),
  ('GPUImageToImageFilter', 'itk::GPUImageToImageFilter', 'itkGPUImageToImageFilterGIVF22GIVF22', True, 'itk::GPUImage< itk::Vector< float,2 >, 2 >, itk::GPUImage< itk::Vector< float,2 >, 2 >'),
  ('GPUImageToImageFilter', 'itk::GPUImageToImageFilter', 'itkGPUImageToImageFilterICVF22GICVF22', True, 'itk::Image< itk::CovariantVector< float,2 >, 2 >, itk::GPUImage< itk::CovariantVector< float,2 >, 2 >'),
  ('GPUImageToImageFilter', 'itk::GPUImageToImageFilter', 'itkGPUImageToImageFilterGICVF22ICVF22', True, 'itk::GPUImage< itk::CovariantVector< float,2 >, 2 >, itk::Image< itk::CovariantVector< float,2 >, 2 >'),
  ('GPUImageToImageFilter', 'itk::GPUImageToImageFilter', 'itkGPUImageToImageFilterGICVF22GICVF22', True, 'itk::GPUImage< itk::CovariantVector< float,2 >, 2 >, itk::GPUImage< itk::CovariantVector< float,2 >, 2 >'),
  ('GPUImageToImageFilter', 'itk::GPUImageToImageFilter', 'itkGPUImageToImageFilterIUC3GIUC3', True, 'itk::Image< unsigned char, 3 >, itk::GPUImage< unsigned char, 3 >'),
  ('GPUImageToImageFilter', 'itk::GPUImageToImageFilter', 'itkGPUImageToImageFilterGIUC3IUC3', True, 'itk::GPUImage< unsigned char, 3 >, itk::Image< unsigned char, 3 >'),
  ('GPUImageToImageFilter', 'itk::GPUImageToImageFilter', 'itkGPUImageToImageFilterGIUC3GIUC3', True, 'itk::GPUImage< unsigned char, 3 >, itk::GPUImage< unsigned char, 3 >'),
  ('GPUImageToImageFilter', 'itk::GPUImageToImageFilter', 'itkGPUImageToImageFilterIUC3GIUL3', True, 'itk::Image< unsigned char, 3 >, itk::GPUImage< unsigned long, 3 >'),
  ('GPUImageToImageFilter', 'itk::GPUImageToImageFilter', 'itkGPUImageToImageFilterGIUC3IUL3', True, 'itk::GPUImage< unsigned char, 3 >, itk::Image< unsigned long, 3 >'),
  ('GPUImageToImageFilter', 'itk::GPUImageToImageFilter', 'itkGPUImageToImageFilterGIUC3GIUL3', True, 'itk::GPUImage< unsigned char, 3 >, itk::GPUImage< unsigned long, 3 >'),
  ('GPUImageToImageFilter', 'itk::GPUImageToImageFilter', 'itkGPUImageToImageFilterIUC3GISS3', True, 'itk::Image< unsigned char, 3 >, itk::GPUImage< signed short, 3 >'),
  ('GPUImageToImageFilter', 'itk::GPUImageToImageFilter', 'itkGPUImageToImageFilterGIUC3ISS3', True, 'itk::GPUImage< unsigned char, 3 >, itk::Image< signed short, 3 >'),
  ('GPUImageToImageFilter', 'itk::GPUImageToImageFilter', 'itkGPUImageToImageFilterGIUC3GISS3', True, 'itk::GPUImage< unsigned char, 3 >, itk::GPUImage< signed short, 3 >'),
  ('GPUImageToImageFilter', 'itk::GPUImageToImageFilter', 'itkGPUImageToImageFilterIUC3GIUS3', True, 'itk::Image< unsigned char, 3 >, itk::GPUImage< unsigned short, 3 >'),
  ('GPUImageToImageFilter', 'itk::GPUImageToImageFilter', 'itkGPUImageToImageFilterGIUC3IUS3', True, 'itk::GPUImage< unsigned char, 3 >, itk::Image< unsigned short, 3 >'),
  ('GPUImageToImageFilter', 'itk::GPUImageToImageFilter', 'itkGPUImageToImageFilterGIUC3GIUS3', True, 'itk::GPUImage< unsigned char, 3 >, itk::GPUImage< unsigned short, 3 >'),
  ('GPUImageToImageFilter', 'itk::GPUImageToImageFilter', 'itkGPUImageToImageFilterIUC3GIF3', True, 'itk::Image< unsigned char, 3 >, itk::GPUImage< float, 3 >'),
  ('GPUImageToImageFilter', 'itk::GPUImageToImageFilter', 'itkGPUImageToImageFilterGIUC3IF3', True, 'itk::GPUImage< unsigned char, 3 >, itk::Image< float, 3 >'),
  ('GPUImageToImageFilter', 'itk::GPUImageToImageFilter', 'itkGPUImageToImageFilterGIUC3GIF3', True, 'itk::GPUImage< unsigned char, 3 >, itk::GPUImage< float, 3 >'),
  ('GPUImageToImageFilter', 'itk::GPUImageToImageFilter', 'itkGPUImageToImageFilterIUC3GID3', True, 'itk::Image< unsigned char, 3 >, itk::GPUImage< double, 3 >'),
  ('GPUImageToImageFilter', 'itk::GPUImageToImageFilter', 'itkGPUImageToImageFilterGIUC3ID3', True, 'itk::GPUImage< unsigned char, 3 >, itk::Image< double, 3 >'),
  ('GPUImageToImageFilter', 'itk::GPUImageToImageFilter', 'itkGPUImageToImageFilterGIUC3GID3', True, 'itk::GPUImage< unsigned char, 3 >, itk::GPUImage< double, 3 >'),
  ('GPUImageToImageFilter', 'itk::GPUImageToImageFilter', 'itkGPUImageToImageFilterIUL3GIUC3', True, 'itk::Image< unsigned long, 3 >, itk::GPUImage< unsigned char, 3 >'),
  ('GPUImageToImageFilter', 'itk::GPUImageToImageFilter', 'itkGPUImageToImageFilterGIUL3IUC3', True, 'itk::GPUImage< unsigned long, 3 >, itk::Image< unsigned char, 3 >'),
  ('GPUImageToImageFilter', 'itk::GPUImageToImageFilter', 'itkGPUImageToImageFilterGIUL3GIUC3', True, 'itk::GPUImage< unsigned long, 3 >, itk::GPUImage< unsigned char, 3 >'),
  ('GPUImageToImageFilter', 'itk::GPUImageToImageFilter', 'itkGPUImageToImageFilterIUL3GIUL3', True, 'itk::Image< unsigned long, 3 >, itk::GPUImage< unsigned long, 3 >'),
  ('GPUImageToImageFilter', 'itk::GPUImageToImageFilter', 'itkGPUImageToImageFilterGIUL3IUL3', True, 'itk::GPUImage< unsigned long, 3 >, itk::Image< unsigned long, 3 >'),
  ('GPUImageToImageFilter', 'itk::GPUImageToImageFilter', 'itkGPUImageToImageFilterGIUL3GIUL3', True, 'itk::GPUImage< unsigned long, 3 >, itk::GPUImage< unsigned long, 3 >'),
  ('GPUImageToImageFilter', 'itk::GPUImageToImageFilter', 'itkGPUImageToImageFilterIUL3GISS3', True, 'itk::Image< unsigned long, 3 >, itk::GPUImage< signed short, 3 >'),
  ('GPUImageToImageFilter', 'itk::GPUImageToImageFilter', 'itkGPUImageToImageFilterGIUL3ISS3', True, 'itk::GPUImage< unsigned long, 3 >, itk::Image< signed short, 3 >'),
  ('GPUImageToImageFilter', 'itk::GPUImageToImageFilter', 'itkGPUImageToImageFilterGIUL3GISS3', True, 'itk::GPUImage< unsigned long, 3 >, itk::GPUImage< signed short, 3 >'),
  ('GPUImageToImageFilter', 'itk::GPUImageToImageFilter', 'itkGPUImageToImageFilterIUL3GIUS3', True, 'itk::Image< unsigned long, 3 >, itk::GPUImage< unsigned short, 3 >'),
  ('GPUImageToImageFilter', 'itk::GPUImageToImageFilter', 'itkGPUImageToImageFilterGIUL3IUS3', True, 'itk::GPUImage< unsigned long, 3 >, itk::Image< unsigned short, 3 >'),
  ('GPUImageToImageFilter', 'itk::GPUImageToImageFilter', 'itkGPUImageToImageFilterGIUL3GIUS3', True, 'itk::GPUImage< unsigned long, 3 >, itk::GPUImage< unsigned short, 3 >'),
  ('GPUImageToImageFilter', 'itk::GPUImageToImageFilter', 'itkGPUImageToImageFilterIUL3GIF3', True, 'itk::Image< unsigned long, 3 >, itk::GPUImage< float, 3 >'),
  ('GPUImageToImageFilter', 'itk::GPUImageToImageFilter', 'itkGPUImageToImageFilterGIUL3IF3', True, 'itk::GPUImage< unsigned long, 3 >, itk::Image< float, 3 >'),
  ('GPUImageToImageFilter', 'itk::GPUImageToImageFilter', 'itkGPUImageToImageFilterGIUL3GIF3', True, 'itk::GPUImage< unsigned long, 3 >, itk::GPUImage< float, 3 >'),
  ('GPUImageToImageFilter', 'itk::GPUImageToImageFilter', 'itkGPUImageToImageFilterIUL3GID3', True, 'itk::Image< unsigned long, 3 >, itk::GPUImage< double, 3 >'),
  ('GPUImageToImageFilter', 'itk::GPUImageToImageFilter', 'itkGPUImageToImageFilterGIUL3ID3', True, 'itk::GPUImage< unsigned long, 3 >, itk::Image< double, 3 >'),
  ('GPUImageToImageFilter', 'itk::GPUImageToImageFilter', 'itkGPUImageToImageFilterGIUL3GID3', True, 'itk::GPUImage< unsigned long, 3 >, itk::GPUImage< double, 3 >'),
  ('GPUImageToImageFilter', 'itk::GPUImageToImageFilter', 'itkGPUImageToImageFilterISS3GIUC3', True, 'itk::Image< signed short, 3 >, itk::GPUImage< unsigned char, 3 >'),
  ('GPUImageToImageFilter', 'itk::GPUImageToImageFilter', 'itkGPUImageToImageFilterGISS3IUC3', True, 'itk::GPUImage< signed short, 3 >, itk::Image< unsigned char, 3 >'),
  ('GPUImageToImageFilter', 'itk::GPUImageToImageFilter', 'itkGPUImageToImageFilterGISS3GIUC3', True, 'itk::GPUImage< signed short, 3 >, itk::GPUImage< unsigned char, 3 >'),
  ('GPUImageToImageFilter', 'itk::GPUImageToImageFilter', 'itkGPUImageToImageFilterISS3GIUL3', True, 'itk::Image< signed short, 3 >, itk::GPUImage< unsigned long, 3 >'),
  ('GPUImageToImageFilter', 'itk::GPUImageToImageFilter', 'itkGPUImageToImageFilterGISS3IUL3', True, 'itk::GPUImage< signed short, 3 >, itk::Image< unsigned long, 3 >'),
  ('GPUImageToImageFilter', 'itk::GPUImageToImageFilter', 'itkGPUImageToImageFilterGISS3GIUL3', True, 'itk::GPUImage< signed short, 3 >, itk::GPUImage< unsigned long, 3 >'),
  ('GPUImageToImageFilter', 'itk::GPUImageToImageFilter', 'itkGPUImageToImageFilterISS3GISS3', True, 'itk::Image< signed short, 3 >, itk::GPUImage< signed short, 3 >'),
  ('GPUImageToImageFilter', 'itk::GPUImageToImageFilter', 'itkGPUImageToImageFilterGISS3ISS3', True, 'itk::GPUImage< signed short, 3 >, itk::Image< signed short, 3 >'),
  ('GPUImageToImageFilter', 'itk::GPUImageToImageFilter', 'itkGPUImageToImageFilterGISS3GISS3', True, 'itk::GPUImage< signed short, 3 >, itk::GPUImage< signed short, 3 >'),
  ('GPUImageToImageFilter', 'itk::GPUImageToImageFilter', 'itkGPUImageToImageFilterISS3GIUS3', True, 'itk::Image< signed short, 3 >, itk::GPUImage< unsigned short, 3 >'),
  ('GPUImageToImageFilter', 'itk::GPUImageToImageFilter', 'itkGPUImageToImageFilterGISS3IUS3', True, 'itk::GPUImage< signed short, 3 >, itk::Image< unsigned short, 3 >'),
  ('GPUImageToImageFilter', 'itk::GPUImageToImageFilter', 'itkGPUImageToImageFilterGISS3GIUS3', True, 'itk::GPUImage< signed short, 3 >, itk::GPUImage< unsigned short, 3 >'),
  ('GPUImageToImageFilter', 'itk::GPUImageToImageFilter', 'itkGPUImageToImageFilterISS3GIF3', True, 'itk::Image< signed short, 3 >, itk::GPUImage< float, 3 >'),
  ('GPUImageToImageFilter', 'itk::GPUImageToImageFilter', 'itkGPUImageToImageFilterGISS3IF3', True, 'itk::GPUImage< signed short, 3 >, itk::Image< float, 3 >'),
  ('GPUImageToImageFilter', 'itk::GPUImageToImageFilter', 'itkGPUImageToImageFilterGISS3GIF3', True, 'itk::GPUImage< signed short, 3 >, itk::GPUImage< float, 3 >'),
  ('GPUImageToImageFilter', 'itk::GPUImageToImageFilter', 'itkGPUImageToImageFilterISS3GID3', True, 'itk::Image< signed short, 3 >, itk::GPUImage< double, 3 >'),
  ('GPUImageToImageFilter', 'itk::GPUImageToImageFilter', 'itkGPUImageToImageFilterGISS3ID3', True, 'itk::GPUImage< signed short, 3 >, itk::Image< double, 3 >'),
  ('GPUImageToImageFilter', 'itk::GPUImageToImageFilter', 'itkGPUImageToImageFilterGISS3GID3', True, 'itk::GPUImage< signed short, 3 >, itk::GPUImage< double, 3 >'),
  ('GPUImageToImageFilter', 'itk::GPUImageToImageFilter', 'itkGPUImageToImageFilterIUS3GIUC3', True, 'itk::Image< unsigned short, 3 >, itk::GPUImage< unsigned char, 3 >'),
  ('GPUImageToImageFilter', 'itk::GPUImageToImageFilter', 'itkGPUImageToImageFilterGIUS3IUC3', True, 'itk::GPUImage< unsigned short, 3 >, itk::Image< unsigned char, 3 >'),
  ('GPUImageToImageFilter', 'itk::GPUImageToImageFilter', 'itkGPUImageToImageFilterGIUS3GIUC3', True, 'itk::GPUImage< unsigned short, 3 >, itk::GPUImage< unsigned char, 3 >'),
  ('GPUImageToImageFilter', 'itk::GPUImageToImageFilter', 'itkGPUImageToImageFilterIUS3GIUL3', True, 'itk::Image< unsigned short, 3 >, itk::GPUImage< unsigned long, 3 >'),
  ('GPUImageToImageFilter', 'itk::GPUImageToImageFilter', 'itkGPUImageToImageFilterGIUS3IUL3', True, 'itk::GPUImage< unsigned short, 3 >, itk::Image< unsigned long, 3 >'),
  ('GPUImageToImageFilter', 'itk::GPUImageToImageFilter', 'itkGPUImageToImageFilterGIUS3GIUL3', True, 'itk::GPUImage< unsigned short, 3 >, itk::GPUImage< unsigned long, 3 >'),
  ('GPUImageToImageFilter', 'itk::GPUImageToImageFilter', 'itkGPUImageToImageFilterIUS3GISS3', True, 'itk::Image< unsigned short, 3 >, itk::GPUImage< signed short, 3 >'),
  ('GPUImageToImageFilter', 'itk::GPUImageToImageFilter', 'itkGPUImageToImageFilterGIUS3ISS3', True, 'itk::GPUImage< unsigned short, 3 >, itk::Image< signed short, 3 >'),
  ('GPUImageToImageFilter', 'itk::GPUImageToImageFilter', 'itkGPUImageToImageFilterGIUS3GISS3', True, 'itk::GPUImage< unsigned short, 3 >, itk::GPUImage< signed short, 3 >'),
  ('GPUImageToImageFilter', 'itk::GPUImageToImageFilter', 'itkGPUImageToImageFilterIUS3GIUS3', True, 'itk::Image< unsigned short, 3 >, itk::GPUImage< unsigned short, 3 >'),
  ('GPUImageToImageFilter', 'itk::GPUImageToImageFilter', 'itkGPUImageToImageFilterGIUS3IUS3', True, 'itk::GPUImage< unsigned short, 3 >, itk::Image< unsigned short, 3 >'),
  ('GPUImageToImageFilter', 'itk::GPUImageToImageFilter', 'itkGPUImageToImageFilterGIUS3GIUS3', True, 'itk::GPUImage< unsigned short, 3 >, itk::GPUImage< unsigned short, 3 >'),
  ('GPUImageToImageFilter', 'itk::GPUImageToImageFilter', 'itkGPUImageToImageFilterIUS3GIF3', True, 'itk::Image< unsigned short, 3 >, itk::GPUImage< float, 3 >'),
  ('GPUImageToImageFilter', 'itk::GPUImageToImageFilter', 'itkGPUImageToImageFilterGIUS3IF3', True, 'itk::GPUImage< unsigned short, 3 >, itk::Image< float, 3 >'),
  ('GPUImageToImageFilter', 'itk::GPUImageToImageFilter', 'itkGPUImageToImageFilterGIUS3GIF3', True, 'itk::GPUImage< unsigned short, 3 >, itk::GPUImage< float, 3 >'),
  ('GPUImageToImageFilter', 'itk::GPUImageToImageFilter', 'itkGPUImageToImageFilterIUS3GID3', True, 'itk::Image< unsigned short, 3 >, itk::GPUImage< double, 3 >'),
  ('GPUImageToImageFilter', 'itk::GPUImageToImageFilter', 'itkGPUImageToImageFilterGIUS3ID3', True, 'itk::GPUImage< unsigned short, 3 >, itk::Image< double, 3 >'),
  ('GPUImageToImageFilter', 'itk::GPUImageToImageFilter', 'itkGPUImageToImageFilterGIUS3GID3', True, 'itk::GPUImage< unsigned short, 3 >, itk::GPUImage< double, 3 >'),
  ('GPUImageToImageFilter', 'itk::GPUImageToImageFilter', 'itkGPUImageToImageFilterIF3GIUC3', True, 'itk::Image< float, 3 >, itk::GPUImage< unsigned char, 3 >'),
  ('GPUImageToImageFilter', 'itk::GPUImageToImageFilter', 'itkGPUImageToImageFilterGIF3IUC3', True, 'itk::GPUImage< float, 3 >, itk::Image< unsigned char, 3 >'),
  ('GPUImageToImageFilter', 'itk::GPUImageToImageFilter', 'itkGPUImageToImageFilterGIF3GIUC3', True, 'itk::GPUImage< float, 3 >, itk::GPUImage< unsigned char, 3 >'),
  ('GPUImageToImageFilter', 'itk::GPUImageToImageFilter', 'itkGPUImageToImageFilterIF3GIUL3', True, 'itk::Image< float, 3 >, itk::GPUImage< unsigned long, 3 >'),
  ('GPUImageToImageFilter', 'itk::GPUImageToImageFilter', 'itkGPUImageToImageFilterGIF3IUL3', True, 'itk::GPUImage< float, 3 >, itk::Image< unsigned long, 3 >'),
  ('GPUImageToImageFilter', 'itk::GPUImageToImageFilter', 'itkGPUImageToImageFilterGIF3GIUL3', True, 'itk::GPUImage< float, 3 >, itk::GPUImage< unsigned long, 3 >'),
  ('GPUImageToImageFilter', 'itk::GPUImageToImageFilter', 'itkGPUImageToImageFilterIF3GISS3', True, 'itk::Image< float, 3 >, itk::GPUImage< signed short, 3 >'),
  ('GPUImageToImageFilter', 'itk::GPUImageToImageFilter', 'itkGPUImageToImageFilterGIF3ISS3', True, 'itk::GPUImage< float, 3 >, itk::Image< signed short, 3 >'),
  ('GPUImageToImageFilter', 'itk::GPUImageToImageFilter', 'itkGPUImageToImageFilterGIF3GISS3', True, 'itk::GPUImage< float, 3 >, itk::GPUImage< signed short, 3 >'),
  ('GPUImageToImageFilter', 'itk::GPUImageToImageFilter', 'itkGPUImageToImageFilterIF3GIUS3', True, 'itk::Image< float, 3 >, itk::GPUImage< unsigned short, 3 >'),
  ('GPUImageToImageFilter', 'itk::GPUImageToImageFilter', 'itkGPUImageToImageFilterGIF3IUS3', True, 'itk::GPUImage< float, 3 >, itk::Image< unsigned short, 3 >'),
  ('GPUImageToImageFilter', 'itk::GPUImageToImageFilter', 'itkGPUImageToImageFilterGIF3GIUS3', True, 'itk::GPUImage< float, 3 >, itk::GPUImage< unsigned short, 3 >'),
  ('GPUImageToImageFilter', 'itk::GPUImageToImageFilter', 'itkGPUImageToImageFilterIF3GIF3', True, 'itk::Image< float, 3 >, itk::GPUImage< float, 3 >'),
  ('GPUImageToImageFilter', 'itk::GPUImageToImageFilter', 'itkGPUImageToImageFilterGIF3IF3', True, 'itk::GPUImage< float, 3 >, itk::Image< float, 3 >'),
  ('GPUImageToImageFilter', 'itk::GPUImageToImageFilter', 'itkGPUImageToImageFilterGIF3GIF3', True, 'itk::GPUImage< float, 3 >, itk::GPUImage< float, 3 >'),
  ('GPUImageToImageFilter', 'itk::GPUImageToImageFilter', 'itkGPUImageToImageFilterIF3GID3', True, 'itk::Image< float, 3 >, itk::GPUImage< double, 3 >'),
  ('GPUImageToImageFilter', 'itk::GPUImageToImageFilter', 'itkGPUImageToImageFilterGIF3ID3', True, 'itk::GPUImage< float, 3 >, itk::Image< double, 3 >'),
  ('GPUImageToImageFilter', 'itk::GPUImageToImageFilter', 'itkGPUImageToImageFilterGIF3GID3', True, 'itk::GPUImage< float, 3 >, itk::GPUImage< double, 3 >'),
  ('GPUImageToImageFilter', 'itk::GPUImageToImageFilter', 'itkGPUImageToImageFilterID3GIUC3', True, 'itk::Image< double, 3 >, itk::GPUImage< unsigned char, 3 >'),
  ('GPUImageToImageFilter', 'itk::GPUImageToImageFilter', 'itkGPUImageToImageFilterGID3IUC3', True, 'itk::GPUImage< double, 3 >, itk::Image< unsigned char, 3 >'),
  ('GPUImageToImageFilter', 'itk::GPUImageToImageFilter', 'itkGPUImageToImageFilterGID3GIUC3', True, 'itk::GPUImage< double, 3 >, itk::GPUImage< unsigned char, 3 >'),
  ('GPUImageToImageFilter', 'itk::GPUImageToImageFilter', 'itkGPUImageToImageFilterID3GIUL3', True, 'itk::Image< double, 3 >, itk::GPUImage< unsigned long, 3 >'),
  ('GPUImageToImageFilter', 'itk::GPUImageToImageFilter', 'itkGPUImageToImageFilterGID3IUL3', True, 'itk::GPUImage< double, 3 >, itk::Image< unsigned long, 3 >'),
  ('GPUImageToImageFilter', 'itk::GPUImageToImageFilter', 'itkGPUImageToImageFilterGID3GIUL3', True, 'itk::GPUImage< double, 3 >, itk::GPUImage< unsigned long, 3 >'),
  ('GPUImageToImageFilter', 'itk::GPUImageToImageFilter', 'itkGPUImageToImageFilterID3GISS3', True, 'itk::Image< double, 3 >, itk::GPUImage< signed short, 3 >'),
  ('GPUImageToImageFilter', 'itk::GPUImageToImageFilter', 'itkGPUImageToImageFilterGID3ISS3', True, 'itk::GPUImage< double, 3 >, itk::Image< signed short, 3 >'),
  ('GPUImageToImageFilter', 'itk::GPUImageToImageFilter', 'itkGPUImageToImageFilterGID3GISS3', True, 'itk::GPUImage< double, 3 >, itk::GPUImage< signed short, 3 >'),
  ('GPUImageToImageFilter', 'itk::GPUImageToImageFilter', 'itkGPUImageToImageFilterID3GIUS3', True, 'itk::Image< double, 3 >, itk::GPUImage< unsigned short, 3 >'),
  ('GPUImageToImageFilter', 'itk::GPUImageToImageFilter', 'itkGPUImageToImageFilterGID3IUS3', True, 'itk::GPUImage< double, 3 >, itk::Image< unsigned short, 3 >'),
  ('GPUImageToImageFilter', 'itk::GPUImageToImageFilter', 'itkGPUImageToImageFilterGID3GIUS3', True, 'itk::GPUImage< double, 3 >, itk::GPUImage< unsigned short, 3 >'),
  ('GPUImageToImageFilter', 'itk::GPUImageToImageFilter', 'itkGPUImageToImageFilterID3GIF3', True, 'itk::Image< double, 3 >, itk::GPUImage< float, 3 >'),
  ('GPUImageToImageFilter', 'itk::GPUImageToImageFilter', 'itkGPUImageToImageFilterGID3IF3', True, 'itk::GPUImage< double, 3 >, itk::Image< float, 3 >'),
  ('GPUImageToImageFilter', 'itk::GPUImageToImageFilter', 'itkGPUImageToImageFilterGID3GIF3', True, 'itk::GPUImage< double, 3 >, itk::GPUImage< float, 3 >'),
  ('GPUImageToImageFilter', 'itk::GPUImageToImageFilter', 'itkGPUImageToImageFilterID3GID3', True, 'itk::Image< double, 3 >, itk::GPUImage< double, 3 >'),
  ('GPUImageToImageFilter', 'itk::GPUImageToImageFilter', 'itkGPUImageToImageFilterGID3ID3', True, 'itk::GPUImage< double, 3 >, itk::Image< double, 3 >'),
  ('GPUImageToImageFilter', 'itk::GPUImageToImageFilter', 'itkGPUImageToImageFilterGID3GID3', True, 'itk::GPUImage< double, 3 >, itk::GPUImage< double, 3 >'),
  ('GPUImageToImageFilter', 'itk::GPUImageToImageFilter', 'itkGPUImageToImageFilterIVF33GIVF33', True, 'itk::Image< itk::Vector< float,3 >, 3 >, itk::GPUImage< itk::Vector< float,3 >, 3 >'),
  ('GPUImageToImageFilter', 'itk::GPUImageToImageFilter', 'itkGPUImageToImageFilterGIVF33IVF33', True, 'itk::GPUImage< itk::Vector< float,3 >, 3 >, itk::Image< itk::Vector< float,3 >, 3 >'),
  ('GPUImageToImageFilter', 'itk::GPUImageToImageFilter', 'itkGPUImageToImageFilterGIVF33GIVF33', True, 'itk::GPUImage< itk::Vector< float,3 >, 3 >, itk::GPUImage< itk::Vector< float,3 >, 3 >'),
  ('GPUImageToImageFilter', 'itk::GPUImageToImageFilter', 'itkGPUImageToImageFilterICVF33GICVF33', True, 'itk::Image< itk::CovariantVector< float,3 >, 3 >, itk::GPUImage< itk::CovariantVector< float,3 >, 3 >'),
  ('GPUImageToImageFilter', 'itk::GPUImageToImageFilter', 'itkGPUImageToImageFilterGICVF33ICVF33', True, 'itk::GPUImage< itk::CovariantVector< float,3 >, 3 >, itk::Image< itk::CovariantVector< float,3 >, 3 >'),
  ('GPUImageToImageFilter', 'itk::GPUImageToImageFilter', 'itkGPUImageToImageFilterGICVF33GICVF33', True, 'itk::GPUImage< itk::CovariantVector< float,3 >, 3 >, itk::GPUImage< itk::CovariantVector< float,3 >, 3 >'),
  ('GPUFunctorBase', 'itk::Functor::GPUFunctorBase', 'itkGPUFunctorBase', True),
  ('GPUImageOps', 'itk::GPUImageOps', 'itkGPUImageOps', True),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterIUC2GIUC2', False, 'itk::Image< unsigned char, 2 >, itk::GPUImage< unsigned char, 2 >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterGIUC2IUC2', False, 'itk::GPUImage< unsigned char, 2 >, itk::Image< unsigned char, 2 >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterGIUC2GIUC2', False, 'itk::GPUImage< unsigned char, 2 >, itk::GPUImage< unsigned char, 2 >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterIUL2GIUL2', False, 'itk::Image< unsigned long, 2 >, itk::GPUImage< unsigned long, 2 >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterGIUL2IUL2', False, 'itk::GPUImage< unsigned long, 2 >, itk::Image< unsigned long, 2 >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterGIUL2GIUL2', False, 'itk::GPUImage< unsigned long, 2 >, itk::GPUImage< unsigned long, 2 >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterISS2GISS2', False, 'itk::Image< signed short, 2 >, itk::GPUImage< signed short, 2 >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterGISS2ISS2', False, 'itk::GPUImage< signed short, 2 >, itk::Image< signed short, 2 >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterGISS2GISS2', False, 'itk::GPUImage< signed short, 2 >, itk::GPUImage< signed short, 2 >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterIUS2GIUS2', False, 'itk::Image< unsigned short, 2 >, itk::GPUImage< unsigned short, 2 >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterGIUS2IUS2', False, 'itk::GPUImage< unsigned short, 2 >, itk::Image< unsigned short, 2 >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterGIUS2GIUS2', False, 'itk::GPUImage< unsigned short, 2 >, itk::GPUImage< unsigned short, 2 >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterIF2GIF2', False, 'itk::Image< float, 2 >, itk::GPUImage< float, 2 >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterGIF2IF2', False, 'itk::GPUImage< float, 2 >, itk::Image< float, 2 >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterGIF2GIF2', False, 'itk::GPUImage< float, 2 >, itk::GPUImage< float, 2 >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterID2GID2', False, 'itk::Image< double, 2 >, itk::GPUImage< double, 2 >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterGID2ID2', False, 'itk::GPUImage< double, 2 >, itk::Image< double, 2 >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterGID2GID2', False, 'itk::GPUImage< double, 2 >, itk::GPUImage< double, 2 >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterIUC2GIUL2', False, 'itk::Image< unsigned char, 2 >, itk::GPUImage< unsigned long, 2 >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterGIUC2IUL2', False, 'itk::GPUImage< unsigned char, 2 >, itk::Image< unsigned long, 2 >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterGIUC2GIUL2', False, 'itk::GPUImage< unsigned char, 2 >, itk::GPUImage< unsigned long, 2 >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterIUC2GISS2', False, 'itk::Image< unsigned char, 2 >, itk::GPUImage< signed short, 2 >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterGIUC2ISS2', False, 'itk::GPUImage< unsigned char, 2 >, itk::Image< signed short, 2 >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterGIUC2GISS2', False, 'itk::GPUImage< unsigned char, 2 >, itk::GPUImage< signed short, 2 >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterIUC2GIUS2', False, 'itk::Image< unsigned char, 2 >, itk::GPUImage< unsigned short, 2 >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterGIUC2IUS2', False, 'itk::GPUImage< unsigned char, 2 >, itk::Image< unsigned short, 2 >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterGIUC2GIUS2', False, 'itk::GPUImage< unsigned char, 2 >, itk::GPUImage< unsigned short, 2 >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterIUC2GIF2', False, 'itk::Image< unsigned char, 2 >, itk::GPUImage< float, 2 >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterGIUC2IF2', False, 'itk::GPUImage< unsigned char, 2 >, itk::Image< float, 2 >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterGIUC2GIF2', False, 'itk::GPUImage< unsigned char, 2 >, itk::GPUImage< float, 2 >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterIUC2GID2', False, 'itk::Image< unsigned char, 2 >, itk::GPUImage< double, 2 >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterGIUC2ID2', False, 'itk::GPUImage< unsigned char, 2 >, itk::Image< double, 2 >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterGIUC2GID2', False, 'itk::GPUImage< unsigned char, 2 >, itk::GPUImage< double, 2 >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterISS2GIUC2', False, 'itk::Image< signed short, 2 >, itk::GPUImage< unsigned char, 2 >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterGISS2IUC2', False, 'itk::GPUImage< signed short, 2 >, itk::Image< unsigned char, 2 >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterGISS2GIUC2', False, 'itk::GPUImage< signed short, 2 >, itk::GPUImage< unsigned char, 2 >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterISS2GIUL2', False, 'itk::Image< signed short, 2 >, itk::GPUImage< unsigned long, 2 >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterGISS2IUL2', False, 'itk::GPUImage< signed short, 2 >, itk::Image< unsigned long, 2 >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterGISS2GIUL2', False, 'itk::GPUImage< signed short, 2 >, itk::GPUImage< unsigned long, 2 >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterISS2GIUS2', False, 'itk::Image< signed short, 2 >, itk::GPUImage< unsigned short, 2 >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterGISS2IUS2', False, 'itk::GPUImage< signed short, 2 >, itk::Image< unsigned short, 2 >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterGISS2GIUS2', False, 'itk::GPUImage< signed short, 2 >, itk::GPUImage< unsigned short, 2 >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterISS2GIF2', False, 'itk::Image< signed short, 2 >, itk::GPUImage< float, 2 >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterGISS2IF2', False, 'itk::GPUImage< signed short, 2 >, itk::Image< float, 2 >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterGISS2GIF2', False, 'itk::GPUImage< signed short, 2 >, itk::GPUImage< float, 2 >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterISS2GID2', False, 'itk::Image< signed short, 2 >, itk::GPUImage< double, 2 >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterGISS2ID2', False, 'itk::GPUImage< signed short, 2 >, itk::Image< double, 2 >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterGISS2GID2', False, 'itk::GPUImage< signed short, 2 >, itk::GPUImage< double, 2 >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterIUS2GIUC2', False, 'itk::Image< unsigned short, 2 >, itk::GPUImage< unsigned char, 2 >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterGIUS2IUC2', False, 'itk::GPUImage< unsigned short, 2 >, itk::Image< unsigned char, 2 >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterGIUS2GIUC2', False, 'itk::GPUImage< unsigned short, 2 >, itk::GPUImage< unsigned char, 2 >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterIUS2GIUL2', False, 'itk::Image< unsigned short, 2 >, itk::GPUImage< unsigned long, 2 >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterGIUS2IUL2', False, 'itk::GPUImage< unsigned short, 2 >, itk::Image< unsigned long, 2 >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterGIUS2GIUL2', False, 'itk::GPUImage< unsigned short, 2 >, itk::GPUImage< unsigned long, 2 >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterIUS2GISS2', False, 'itk::Image< unsigned short, 2 >, itk::GPUImage< signed short, 2 >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterGIUS2ISS2', False, 'itk::GPUImage< unsigned short, 2 >, itk::Image< signed short, 2 >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterGIUS2GISS2', False, 'itk::GPUImage< unsigned short, 2 >, itk::GPUImage< signed short, 2 >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterIUS2GIF2', False, 'itk::Image< unsigned short, 2 >, itk::GPUImage< float, 2 >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterGIUS2IF2', False, 'itk::GPUImage< unsigned short, 2 >, itk::Image< float, 2 >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterGIUS2GIF2', False, 'itk::GPUImage< unsigned short, 2 >, itk::GPUImage< float, 2 >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterIUS2GID2', False, 'itk::Image< unsigned short, 2 >, itk::GPUImage< double, 2 >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterGIUS2ID2', False, 'itk::GPUImage< unsigned short, 2 >, itk::Image< double, 2 >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterGIUS2GID2', False, 'itk::GPUImage< unsigned short, 2 >, itk::GPUImage< double, 2 >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterIF2GIUC2', False, 'itk::Image< float, 2 >, itk::GPUImage< unsigned char, 2 >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterGIF2IUC2', False, 'itk::GPUImage< float, 2 >, itk::Image< unsigned char, 2 >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterGIF2GIUC2', False, 'itk::GPUImage< float, 2 >, itk::GPUImage< unsigned char, 2 >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterIF2GIUL2', False, 'itk::Image< float, 2 >, itk::GPUImage< unsigned long, 2 >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterGIF2IUL2', False, 'itk::GPUImage< float, 2 >, itk::Image< unsigned long, 2 >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterGIF2GIUL2', False, 'itk::GPUImage< float, 2 >, itk::GPUImage< unsigned long, 2 >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterIF2GISS2', False, 'itk::Image< float, 2 >, itk::GPUImage< signed short, 2 >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterGIF2ISS2', False, 'itk::GPUImage< float, 2 >, itk::Image< signed short, 2 >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterGIF2GISS2', False, 'itk::GPUImage< float, 2 >, itk::GPUImage< signed short, 2 >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterIF2GIUS2', False, 'itk::Image< float, 2 >, itk::GPUImage< unsigned short, 2 >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterGIF2IUS2', False, 'itk::GPUImage< float, 2 >, itk::Image< unsigned short, 2 >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterGIF2GIUS2', False, 'itk::GPUImage< float, 2 >, itk::GPUImage< unsigned short, 2 >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterIF2GID2', False, 'itk::Image< float, 2 >, itk::GPUImage< double, 2 >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterGIF2ID2', False, 'itk::GPUImage< float, 2 >, itk::Image< double, 2 >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterGIF2GID2', False, 'itk::GPUImage< float, 2 >, itk::GPUImage< double, 2 >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterID2GIUC2', False, 'itk::Image< double, 2 >, itk::GPUImage< unsigned char, 2 >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterGID2IUC2', False, 'itk::GPUImage< double, 2 >, itk::Image< unsigned char, 2 >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterGID2GIUC2', False, 'itk::GPUImage< double, 2 >, itk::GPUImage< unsigned char, 2 >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterID2GIUL2', False, 'itk::Image< double, 2 >, itk::GPUImage< unsigned long, 2 >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterGID2IUL2', False, 'itk::GPUImage< double, 2 >, itk::Image< unsigned long, 2 >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterGID2GIUL2', False, 'itk::GPUImage< double, 2 >, itk::GPUImage< unsigned long, 2 >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterID2GISS2', False, 'itk::Image< double, 2 >, itk::GPUImage< signed short, 2 >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterGID2ISS2', False, 'itk::GPUImage< double, 2 >, itk::Image< signed short, 2 >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterGID2GISS2', False, 'itk::GPUImage< double, 2 >, itk::GPUImage< signed short, 2 >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterID2GIUS2', False, 'itk::Image< double, 2 >, itk::GPUImage< unsigned short, 2 >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterGID2IUS2', False, 'itk::GPUImage< double, 2 >, itk::Image< unsigned short, 2 >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterGID2GIUS2', False, 'itk::GPUImage< double, 2 >, itk::GPUImage< unsigned short, 2 >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterID2GIF2', False, 'itk::Image< double, 2 >, itk::GPUImage< float, 2 >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterGID2IF2', False, 'itk::GPUImage< double, 2 >, itk::Image< float, 2 >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterGID2GIF2', False, 'itk::GPUImage< double, 2 >, itk::GPUImage< float, 2 >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterIVF22GIVF22', False, 'itk::Image< itk::Vector< float,2 >, 2 >, itk::GPUImage< itk::Vector< float,2 >, 2 >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterGIVF22IVF22', False, 'itk::GPUImage< itk::Vector< float,2 >, 2 >, itk::Image< itk::Vector< float,2 >, 2 >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterGIVF22GIVF22', False, 'itk::GPUImage< itk::Vector< float,2 >, 2 >, itk::GPUImage< itk::Vector< float,2 >, 2 >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterICVF22GICVF22', False, 'itk::Image< itk::CovariantVector< float,2 >, 2 >, itk::GPUImage< itk::CovariantVector< float,2 >, 2 >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterGICVF22ICVF22', False, 'itk::GPUImage< itk::CovariantVector< float,2 >, 2 >, itk::Image< itk::CovariantVector< float,2 >, 2 >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterGICVF22GICVF22', False, 'itk::GPUImage< itk::CovariantVector< float,2 >, 2 >, itk::GPUImage< itk::CovariantVector< float,2 >, 2 >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterIUC3GIUC3', False, 'itk::Image< unsigned char, 3 >, itk::GPUImage< unsigned char, 3 >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterGIUC3IUC3', False, 'itk::GPUImage< unsigned char, 3 >, itk::Image< unsigned char, 3 >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterGIUC3GIUC3', False, 'itk::GPUImage< unsigned char, 3 >, itk::GPUImage< unsigned char, 3 >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterIUL3GIUL3', False, 'itk::Image< unsigned long, 3 >, itk::GPUImage< unsigned long, 3 >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterGIUL3IUL3', False, 'itk::GPUImage< unsigned long, 3 >, itk::Image< unsigned long, 3 >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterGIUL3GIUL3', False, 'itk::GPUImage< unsigned long, 3 >, itk::GPUImage< unsigned long, 3 >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterISS3GISS3', False, 'itk::Image< signed short, 3 >, itk::GPUImage< signed short, 3 >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterGISS3ISS3', False, 'itk::GPUImage< signed short, 3 >, itk::Image< signed short, 3 >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterGISS3GISS3', False, 'itk::GPUImage< signed short, 3 >, itk::GPUImage< signed short, 3 >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterIUS3GIUS3', False, 'itk::Image< unsigned short, 3 >, itk::GPUImage< unsigned short, 3 >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterGIUS3IUS3', False, 'itk::GPUImage< unsigned short, 3 >, itk::Image< unsigned short, 3 >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterGIUS3GIUS3', False, 'itk::GPUImage< unsigned short, 3 >, itk::GPUImage< unsigned short, 3 >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterIF3GIF3', False, 'itk::Image< float, 3 >, itk::GPUImage< float, 3 >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterGIF3IF3', False, 'itk::GPUImage< float, 3 >, itk::Image< float, 3 >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterGIF3GIF3', False, 'itk::GPUImage< float, 3 >, itk::GPUImage< float, 3 >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterID3GID3', False, 'itk::Image< double, 3 >, itk::GPUImage< double, 3 >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterGID3ID3', False, 'itk::GPUImage< double, 3 >, itk::Image< double, 3 >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterGID3GID3', False, 'itk::GPUImage< double, 3 >, itk::GPUImage< double, 3 >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterIUC3GIUL3', False, 'itk::Image< unsigned char, 3 >, itk::GPUImage< unsigned long, 3 >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterGIUC3IUL3', False, 'itk::GPUImage< unsigned char, 3 >, itk::Image< unsigned long, 3 >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterGIUC3GIUL3', False, 'itk::GPUImage< unsigned char, 3 >, itk::GPUImage< unsigned long, 3 >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterIUC3GISS3', False, 'itk::Image< unsigned char, 3 >, itk::GPUImage< signed short, 3 >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterGIUC3ISS3', False, 'itk::GPUImage< unsigned char, 3 >, itk::Image< signed short, 3 >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterGIUC3GISS3', False, 'itk::GPUImage< unsigned char, 3 >, itk::GPUImage< signed short, 3 >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterIUC3GIUS3', False, 'itk::Image< unsigned char, 3 >, itk::GPUImage< unsigned short, 3 >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterGIUC3IUS3', False, 'itk::GPUImage< unsigned char, 3 >, itk::Image< unsigned short, 3 >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterGIUC3GIUS3', False, 'itk::GPUImage< unsigned char, 3 >, itk::GPUImage< unsigned short, 3 >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterIUC3GIF3', False, 'itk::Image< unsigned char, 3 >, itk::GPUImage< float, 3 >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterGIUC3IF3', False, 'itk::GPUImage< unsigned char, 3 >, itk::Image< float, 3 >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterGIUC3GIF3', False, 'itk::GPUImage< unsigned char, 3 >, itk::GPUImage< float, 3 >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterIUC3GID3', False, 'itk::Image< unsigned char, 3 >, itk::GPUImage< double, 3 >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterGIUC3ID3', False, 'itk::GPUImage< unsigned char, 3 >, itk::Image< double, 3 >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterGIUC3GID3', False, 'itk::GPUImage< unsigned char, 3 >, itk::GPUImage< double, 3 >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterISS3GIUC3', False, 'itk::Image< signed short, 3 >, itk::GPUImage< unsigned char, 3 >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterGISS3IUC3', False, 'itk::GPUImage< signed short, 3 >, itk::Image< unsigned char, 3 >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterGISS3GIUC3', False, 'itk::GPUImage< signed short, 3 >, itk::GPUImage< unsigned char, 3 >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterISS3GIUL3', False, 'itk::Image< signed short, 3 >, itk::GPUImage< unsigned long, 3 >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterGISS3IUL3', False, 'itk::GPUImage< signed short, 3 >, itk::Image< unsigned long, 3 >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterGISS3GIUL3', False, 'itk::GPUImage< signed short, 3 >, itk::GPUImage< unsigned long, 3 >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterISS3GIUS3', False, 'itk::Image< signed short, 3 >, itk::GPUImage< unsigned short, 3 >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterGISS3IUS3', False, 'itk::GPUImage< signed short, 3 >, itk::Image< unsigned short, 3 >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterGISS3GIUS3', False, 'itk::GPUImage< signed short, 3 >, itk::GPUImage< unsigned short, 3 >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterISS3GIF3', False, 'itk::Image< signed short, 3 >, itk::GPUImage< float, 3 >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterGISS3IF3', False, 'itk::GPUImage< signed short, 3 >, itk::Image< float, 3 >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterGISS3GIF3', False, 'itk::GPUImage< signed short, 3 >, itk::GPUImage< float, 3 >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterISS3GID3', False, 'itk::Image< signed short, 3 >, itk::GPUImage< double, 3 >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterGISS3ID3', False, 'itk::GPUImage< signed short, 3 >, itk::Image< double, 3 >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterGISS3GID3', False, 'itk::GPUImage< signed short, 3 >, itk::GPUImage< double, 3 >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterIUS3GIUC3', False, 'itk::Image< unsigned short, 3 >, itk::GPUImage< unsigned char, 3 >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterGIUS3IUC3', False, 'itk::GPUImage< unsigned short, 3 >, itk::Image< unsigned char, 3 >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterGIUS3GIUC3', False, 'itk::GPUImage< unsigned short, 3 >, itk::GPUImage< unsigned char, 3 >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterIUS3GIUL3', False, 'itk::Image< unsigned short, 3 >, itk::GPUImage< unsigned long, 3 >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterGIUS3IUL3', False, 'itk::GPUImage< unsigned short, 3 >, itk::Image< unsigned long, 3 >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterGIUS3GIUL3', False, 'itk::GPUImage< unsigned short, 3 >, itk::GPUImage< unsigned long, 3 >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterIUS3GISS3', False, 'itk::Image< unsigned short, 3 >, itk::GPUImage< signed short, 3 >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterGIUS3ISS3', False, 'itk::GPUImage< unsigned short, 3 >, itk::Image< signed short, 3 >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterGIUS3GISS3', False, 'itk::GPUImage< unsigned short, 3 >, itk::GPUImage< signed short, 3 >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterIUS3GIF3', False, 'itk::Image< unsigned short, 3 >, itk::GPUImage< float, 3 >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterGIUS3IF3', False, 'itk::GPUImage< unsigned short, 3 >, itk::Image< float, 3 >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterGIUS3GIF3', False, 'itk::GPUImage< unsigned short, 3 >, itk::GPUImage< float, 3 >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterIUS3GID3', False, 'itk::Image< unsigned short, 3 >, itk::GPUImage< double, 3 >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterGIUS3ID3', False, 'itk::GPUImage< unsigned short, 3 >, itk::Image< double, 3 >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterGIUS3GID3', False, 'itk::GPUImage< unsigned short, 3 >, itk::GPUImage< double, 3 >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterIF3GIUC3', False, 'itk::Image< float, 3 >, itk::GPUImage< unsigned char, 3 >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterGIF3IUC3', False, 'itk::GPUImage< float, 3 >, itk::Image< unsigned char, 3 >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterGIF3GIUC3', False, 'itk::GPUImage< float, 3 >, itk::GPUImage< unsigned char, 3 >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterIF3GIUL3', False, 'itk::Image< float, 3 >, itk::GPUImage< unsigned long, 3 >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterGIF3IUL3', False, 'itk::GPUImage< float, 3 >, itk::Image< unsigned long, 3 >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterGIF3GIUL3', False, 'itk::GPUImage< float, 3 >, itk::GPUImage< unsigned long, 3 >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterIF3GISS3', False, 'itk::Image< float, 3 >, itk::GPUImage< signed short, 3 >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterGIF3ISS3', False, 'itk::GPUImage< float, 3 >, itk::Image< signed short, 3 >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterGIF3GISS3', False, 'itk::GPUImage< float, 3 >, itk::GPUImage< signed short, 3 >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterIF3GIUS3', False, 'itk::Image< float, 3 >, itk::GPUImage< unsigned short, 3 >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterGIF3IUS3', False, 'itk::GPUImage< float, 3 >, itk::Image< unsigned short, 3 >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterGIF3GIUS3', False, 'itk::GPUImage< float, 3 >, itk::GPUImage< unsigned short, 3 >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterIF3GID3', False, 'itk::Image< float, 3 >, itk::GPUImage< double, 3 >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterGIF3ID3', False, 'itk::GPUImage< float, 3 >, itk::Image< double, 3 >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterGIF3GID3', False, 'itk::GPUImage< float, 3 >, itk::GPUImage< double, 3 >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterID3GIUC3', False, 'itk::Image< double, 3 >, itk::GPUImage< unsigned char, 3 >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterGID3IUC3', False, 'itk::GPUImage< double, 3 >, itk::Image< unsigned char, 3 >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterGID3GIUC3', False, 'itk::GPUImage< double, 3 >, itk::GPUImage< unsigned char, 3 >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterID3GIUL3', False, 'itk::Image< double, 3 >, itk::GPUImage< unsigned long, 3 >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterGID3IUL3', False, 'itk::GPUImage< double, 3 >, itk::Image< unsigned long, 3 >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterGID3GIUL3', False, 'itk::GPUImage< double, 3 >, itk::GPUImage< unsigned long, 3 >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterID3GISS3', False, 'itk::Image< double, 3 >, itk::GPUImage< signed short, 3 >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterGID3ISS3', False, 'itk::GPUImage< double, 3 >, itk::Image< signed short, 3 >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterGID3GISS3', False, 'itk::GPUImage< double, 3 >, itk::GPUImage< signed short, 3 >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterID3GIUS3', False, 'itk::Image< double, 3 >, itk::GPUImage< unsigned short, 3 >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterGID3IUS3', False, 'itk::GPUImage< double, 3 >, itk::Image< unsigned short, 3 >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterGID3GIUS3', False, 'itk::GPUImage< double, 3 >, itk::GPUImage< unsigned short, 3 >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterID3GIF3', False, 'itk::Image< double, 3 >, itk::GPUImage< float, 3 >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterGID3IF3', False, 'itk::GPUImage< double, 3 >, itk::Image< float, 3 >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterGID3GIF3', False, 'itk::GPUImage< double, 3 >, itk::GPUImage< float, 3 >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterIVF33GIVF33', False, 'itk::Image< itk::Vector< float,3 >, 3 >, itk::GPUImage< itk::Vector< float,3 >, 3 >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterGIVF33IVF33', False, 'itk::GPUImage< itk::Vector< float,3 >, 3 >, itk::Image< itk::Vector< float,3 >, 3 >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterGIVF33GIVF33', False, 'itk::GPUImage< itk::Vector< float,3 >, 3 >, itk::GPUImage< itk::Vector< float,3 >, 3 >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterICVF33GICVF33', False, 'itk::Image< itk::CovariantVector< float,3 >, 3 >, itk::GPUImage< itk::CovariantVector< float,3 >, 3 >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterGICVF33ICVF33', False, 'itk::GPUImage< itk::CovariantVector< float,3 >, 3 >, itk::Image< itk::CovariantVector< float,3 >, 3 >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterGICVF33GICVF33', False, 'itk::GPUImage< itk::CovariantVector< float,3 >, 3 >, itk::GPUImage< itk::CovariantVector< float,3 >, 3 >'),
  ('GPUImageToImageFilter', 'itk::GPUImageToImageFilter', 'itkGPUImageToImageFilterGIUC2GIUC2InPlaceImageFilter', True, 'itk::GPUImage< unsigned char, 2 >, itk::GPUImage< unsigned char, 2 >, itk::InPlaceImageFilter< itk::GPUImage< unsigned char, 2 >, itk::GPUImage< unsigned char, 2 > >'),
  ('GPUImageToImageFilter', 'itk::GPUImageToImageFilter', 'itkGPUImageToImageFilterGIUC2GIUL2InPlaceImageFilter', True, 'itk::GPUImage< unsigned char, 2 >, itk::GPUImage< unsigned long, 2 >, itk::InPlaceImageFilter< itk::GPUImage< unsigned char, 2 >, itk::GPUImage< unsigned long, 2 > >'),
  ('GPUImageToImageFilter', 'itk::GPUImageToImageFilter', 'itkGPUImageToImageFilterGIUC2GISS2InPlaceImageFilter', True, 'itk::GPUImage< unsigned char, 2 >, itk::GPUImage< signed short, 2 >, itk::InPlaceImageFilter< itk::GPUImage< unsigned char, 2 >, itk::GPUImage< signed short, 2 > >'),
  ('GPUImageToImageFilter', 'itk::GPUImageToImageFilter', 'itkGPUImageToImageFilterGIUC2GIUS2InPlaceImageFilter', True, 'itk::GPUImage< unsigned char, 2 >, itk::GPUImage< unsigned short, 2 >, itk::InPlaceImageFilter< itk::GPUImage< unsigned char, 2 >, itk::GPUImage< unsigned short, 2 > >'),
  ('GPUImageToImageFilter', 'itk::GPUImageToImageFilter', 'itkGPUImageToImageFilterGIUC2GIF2InPlaceImageFilter', True, 'itk::GPUImage< unsigned char, 2 >, itk::GPUImage< float, 2 >, itk::InPlaceImageFilter< itk::GPUImage< unsigned char, 2 >, itk::GPUImage< float, 2 > >'),
  ('GPUImageToImageFilter', 'itk::GPUImageToImageFilter', 'itkGPUImageToImageFilterGIUC2GID2InPlaceImageFilter', True, 'itk::GPUImage< unsigned char, 2 >, itk::GPUImage< double, 2 >, itk::InPlaceImageFilter< itk::GPUImage< unsigned char, 2 >, itk::GPUImage< double, 2 > >'),
  ('GPUImageToImageFilter', 'itk::GPUImageToImageFilter', 'itkGPUImageToImageFilterGISS2GIUC2InPlaceImageFilter', True, 'itk::GPUImage< signed short, 2 >, itk::GPUImage< unsigned char, 2 >, itk::InPlaceImageFilter< itk::GPUImage< signed short, 2 >, itk::GPUImage< unsigned char, 2 > >'),
  ('GPUImageToImageFilter', 'itk::GPUImageToImageFilter', 'itkGPUImageToImageFilterGISS2GIUL2InPlaceImageFilter', True, 'itk::GPUImage< signed short, 2 >, itk::GPUImage< unsigned long, 2 >, itk::InPlaceImageFilter< itk::GPUImage< signed short, 2 >, itk::GPUImage< unsigned long, 2 > >'),
  ('GPUImageToImageFilter', 'itk::GPUImageToImageFilter', 'itkGPUImageToImageFilterGISS2GISS2InPlaceImageFilter', True, 'itk::GPUImage< signed short, 2 >, itk::GPUImage< signed short, 2 >, itk::InPlaceImageFilter< itk::GPUImage< signed short, 2 >, itk::GPUImage< signed short, 2 > >'),
  ('GPUImageToImageFilter', 'itk::GPUImageToImageFilter', 'itkGPUImageToImageFilterGISS2GIUS2InPlaceImageFilter', True, 'itk::GPUImage< signed short, 2 >, itk::GPUImage< unsigned short, 2 >, itk::InPlaceImageFilter< itk::GPUImage< signed short, 2 >, itk::GPUImage< unsigned short, 2 > >'),
  ('GPUImageToImageFilter', 'itk::GPUImageToImageFilter', 'itkGPUImageToImageFilterGISS2GIF2InPlaceImageFilter', True, 'itk::GPUImage< signed short, 2 >, itk::GPUImage< float, 2 >, itk::InPlaceImageFilter< itk::GPUImage< signed short, 2 >, itk::GPUImage< float, 2 > >'),
  ('GPUImageToImageFilter', 'itk::GPUImageToImageFilter', 'itkGPUImageToImageFilterGISS2GID2InPlaceImageFilter', True, 'itk::GPUImage< signed short, 2 >, itk::GPUImage< double, 2 >, itk::InPlaceImageFilter< itk::GPUImage< signed short, 2 >, itk::GPUImage< double, 2 > >'),
  ('GPUImageToImageFilter', 'itk::GPUImageToImageFilter', 'itkGPUImageToImageFilterGIUS2GIUC2InPlaceImageFilter', True, 'itk::GPUImage< unsigned short, 2 >, itk::GPUImage< unsigned char, 2 >, itk::InPlaceImageFilter< itk::GPUImage< unsigned short, 2 >, itk::GPUImage< unsigned char, 2 > >'),
  ('GPUImageToImageFilter', 'itk::GPUImageToImageFilter', 'itkGPUImageToImageFilterGIUS2GIUL2InPlaceImageFilter', True, 'itk::GPUImage< unsigned short, 2 >, itk::GPUImage< unsigned long, 2 >, itk::InPlaceImageFilter< itk::GPUImage< unsigned short, 2 >, itk::GPUImage< unsigned long, 2 > >'),
  ('GPUImageToImageFilter', 'itk::GPUImageToImageFilter', 'itkGPUImageToImageFilterGIUS2GISS2InPlaceImageFilter', True, 'itk::GPUImage< unsigned short, 2 >, itk::GPUImage< signed short, 2 >, itk::InPlaceImageFilter< itk::GPUImage< unsigned short, 2 >, itk::GPUImage< signed short, 2 > >'),
  ('GPUImageToImageFilter', 'itk::GPUImageToImageFilter', 'itkGPUImageToImageFilterGIUS2GIUS2InPlaceImageFilter', True, 'itk::GPUImage< unsigned short, 2 >, itk::GPUImage< unsigned short, 2 >, itk::InPlaceImageFilter< itk::GPUImage< unsigned short, 2 >, itk::GPUImage< unsigned short, 2 > >'),
  ('GPUImageToImageFilter', 'itk::GPUImageToImageFilter', 'itkGPUImageToImageFilterGIUS2GIF2InPlaceImageFilter', True, 'itk::GPUImage< unsigned short, 2 >, itk::GPUImage< float, 2 >, itk::InPlaceImageFilter< itk::GPUImage< unsigned short, 2 >, itk::GPUImage< float, 2 > >'),
  ('GPUImageToImageFilter', 'itk::GPUImageToImageFilter', 'itkGPUImageToImageFilterGIUS2GID2InPlaceImageFilter', True, 'itk::GPUImage< unsigned short, 2 >, itk::GPUImage< double, 2 >, itk::InPlaceImageFilter< itk::GPUImage< unsigned short, 2 >, itk::GPUImage< double, 2 > >'),
  ('GPUImageToImageFilter', 'itk::GPUImageToImageFilter', 'itkGPUImageToImageFilterGIF2GIUC2InPlaceImageFilter', True, 'itk::GPUImage< float, 2 >, itk::GPUImage< unsigned char, 2 >, itk::InPlaceImageFilter< itk::GPUImage< float, 2 >, itk::GPUImage< unsigned char, 2 > >'),
  ('GPUImageToImageFilter', 'itk::GPUImageToImageFilter', 'itkGPUImageToImageFilterGIF2GIUL2InPlaceImageFilter', True, 'itk::GPUImage< float, 2 >, itk::GPUImage< unsigned long, 2 >, itk::InPlaceImageFilter< itk::GPUImage< float, 2 >, itk::GPUImage< unsigned long, 2 > >'),
  ('GPUImageToImageFilter', 'itk::GPUImageToImageFilter', 'itkGPUImageToImageFilterGIF2GISS2InPlaceImageFilter', True, 'itk::GPUImage< float, 2 >, itk::GPUImage< signed short, 2 >, itk::InPlaceImageFilter< itk::GPUImage< float, 2 >, itk::GPUImage< signed short, 2 > >'),
  ('GPUImageToImageFilter', 'itk::GPUImageToImageFilter', 'itkGPUImageToImageFilterGIF2GIUS2InPlaceImageFilter', True, 'itk::GPUImage< float, 2 >, itk::GPUImage< unsigned short, 2 >, itk::InPlaceImageFilter< itk::GPUImage< float, 2 >, itk::GPUImage< unsigned short, 2 > >'),
  ('GPUImageToImageFilter', 'itk::GPUImageToImageFilter', 'itkGPUImageToImageFilterGIF2GIF2InPlaceImageFilter', True, 'itk::GPUImage< float, 2 >, itk::GPUImage< float, 2 >, itk::InPlaceImageFilter< itk::GPUImage< float, 2 >, itk::GPUImage< float, 2 > >'),
  ('GPUImageToImageFilter', 'itk::GPUImageToImageFilter', 'itkGPUImageToImageFilterGIF2GID2InPlaceImageFilter', True, 'itk::GPUImage< float, 2 >, itk::GPUImage< double, 2 >, itk::InPlaceImageFilter< itk::GPUImage< float, 2 >, itk::GPUImage< double, 2 > >'),
  ('GPUImageToImageFilter', 'itk::GPUImageToImageFilter', 'itkGPUImageToImageFilterGID2GIUC2InPlaceImageFilter', True, 'itk::GPUImage< double, 2 >, itk::GPUImage< unsigned char, 2 >, itk::InPlaceImageFilter< itk::GPUImage< double, 2 >, itk::GPUImage< unsigned char, 2 > >'),
  ('GPUImageToImageFilter', 'itk::GPUImageToImageFilter', 'itkGPUImageToImageFilterGID2GIUL2InPlaceImageFilter', True, 'itk::GPUImage< double, 2 >, itk::GPUImage< unsigned long, 2 >, itk::InPlaceImageFilter< itk::GPUImage< double, 2 >, itk::GPUImage< unsigned long, 2 > >'),
  ('GPUImageToImageFilter', 'itk::GPUImageToImageFilter', 'itkGPUImageToImageFilterGID2GISS2InPlaceImageFilter', True, 'itk::GPUImage< double, 2 >, itk::GPUImage< signed short, 2 >, itk::InPlaceImageFilter< itk::GPUImage< double, 2 >, itk::GPUImage< signed short, 2 > >'),
  ('GPUImageToImageFilter', 'itk::GPUImageToImageFilter', 'itkGPUImageToImageFilterGID2GIUS2InPlaceImageFilter', True, 'itk::GPUImage< double, 2 >, itk::GPUImage< unsigned short, 2 >, itk::InPlaceImageFilter< itk::GPUImage< double, 2 >, itk::GPUImage< unsigned short, 2 > >'),
  ('GPUImageToImageFilter', 'itk::GPUImageToImageFilter', 'itkGPUImageToImageFilterGID2GIF2InPlaceImageFilter', True, 'itk::GPUImage< double, 2 >, itk::GPUImage< float, 2 >, itk::InPlaceImageFilter< itk::GPUImage< double, 2 >, itk::GPUImage< float, 2 > >'),
  ('GPUImageToImageFilter', 'itk::GPUImageToImageFilter', 'itkGPUImageToImageFilterGID2GID2InPlaceImageFilter', True, 'itk::GPUImage< double, 2 >, itk::GPUImage< double, 2 >, itk::InPlaceImageFilter< itk::GPUImage< double, 2 >, itk::GPUImage< double, 2 > >'),
  ('GPUImageToImageFilter', 'itk::GPUImageToImageFilter', 'itkGPUImageToImageFilterGIVF22GIVF22InPlaceImageFilter', True, 'itk::GPUImage< itk::Vector< float,2 >, 2 >, itk::GPUImage< itk::Vector< float,2 >, 2 >, itk::InPlaceImageFilter< itk::GPUImage< itk::Vector< float,2 >, 2 >, itk::GPUImage< itk::Vector< float,2 >, 2 > >'),
  ('GPUImageToImageFilter', 'itk::GPUImageToImageFilter', 'itkGPUImageToImageFilterGICVF22GICVF22InPlaceImageFilter', True, 'itk::GPUImage< itk::CovariantVector< float,2 >, 2 >, itk::GPUImage< itk::CovariantVector< float,2 >, 2 >, itk::InPlaceImageFilter< itk::GPUImage< itk::CovariantVector< float,2 >, 2 >, itk::GPUImage< itk::CovariantVector< float,2 >, 2 > >'),
  ('GPUImageToImageFilter', 'itk::GPUImageToImageFilter', 'itkGPUImageToImageFilterGIUC3GIUC3InPlaceImageFilter', True, 'itk::GPUImage< unsigned char, 3 >, itk::GPUImage< unsigned char, 3 >, itk::InPlaceImageFilter< itk::GPUImage< unsigned char, 3 >, itk::GPUImage< unsigned char, 3 > >'),
  ('GPUImageToImageFilter', 'itk::GPUImageToImageFilter', 'itkGPUImageToImageFilterGIUC3GIUL3InPlaceImageFilter', True, 'itk::GPUImage< unsigned char, 3 >, itk::GPUImage< unsigned long, 3 >, itk::InPlaceImageFilter< itk::GPUImage< unsigned char, 3 >, itk::GPUImage< unsigned long, 3 > >'),
  ('GPUImageToImageFilter', 'itk::GPUImageToImageFilter', 'itkGPUImageToImageFilterGIUC3GISS3InPlaceImageFilter', True, 'itk::GPUImage< unsigned char, 3 >, itk::GPUImage< signed short, 3 >, itk::InPlaceImageFilter< itk::GPUImage< unsigned char, 3 >, itk::GPUImage< signed short, 3 > >'),
  ('GPUImageToImageFilter', 'itk::GPUImageToImageFilter', 'itkGPUImageToImageFilterGIUC3GIUS3InPlaceImageFilter', True, 'itk::GPUImage< unsigned char, 3 >, itk::GPUImage< unsigned short, 3 >, itk::InPlaceImageFilter< itk::GPUImage< unsigned char, 3 >, itk::GPUImage< unsigned short, 3 > >'),
  ('GPUImageToImageFilter', 'itk::GPUImageToImageFilter', 'itkGPUImageToImageFilterGIUC3GIF3InPlaceImageFilter', True, 'itk::GPUImage< unsigned char, 3 >, itk::GPUImage< float, 3 >, itk::InPlaceImageFilter< itk::GPUImage< unsigned char, 3 >, itk::GPUImage< float, 3 > >'),
  ('GPUImageToImageFilter', 'itk::GPUImageToImageFilter', 'itkGPUImageToImageFilterGIUC3GID3InPlaceImageFilter', True, 'itk::GPUImage< unsigned char, 3 >, itk::GPUImage< double, 3 >, itk::InPlaceImageFilter< itk::GPUImage< unsigned char, 3 >, itk::GPUImage< double, 3 > >'),
  ('GPUImageToImageFilter', 'itk::GPUImageToImageFilter', 'itkGPUImageToImageFilterGISS3GIUC3InPlaceImageFilter', True, 'itk::GPUImage< signed short, 3 >, itk::GPUImage< unsigned char, 3 >, itk::InPlaceImageFilter< itk::GPUImage< signed short, 3 >, itk::GPUImage< unsigned char, 3 > >'),
  ('GPUImageToImageFilter', 'itk::GPUImageToImageFilter', 'itkGPUImageToImageFilterGISS3GIUL3InPlaceImageFilter', True, 'itk::GPUImage< signed short, 3 >, itk::GPUImage< unsigned long, 3 >, itk::InPlaceImageFilter< itk::GPUImage< signed short, 3 >, itk::GPUImage< unsigned long, 3 > >'),
  ('GPUImageToImageFilter', 'itk::GPUImageToImageFilter', 'itkGPUImageToImageFilterGISS3GISS3InPlaceImageFilter', True, 'itk::GPUImage< signed short, 3 >, itk::GPUImage< signed short, 3 >, itk::InPlaceImageFilter< itk::GPUImage< signed short, 3 >, itk::GPUImage< signed short, 3 > >'),
  ('GPUImageToImageFilter', 'itk::GPUImageToImageFilter', 'itkGPUImageToImageFilterGISS3GIUS3InPlaceImageFilter', True, 'itk::GPUImage< signed short, 3 >, itk::GPUImage< unsigned short, 3 >, itk::InPlaceImageFilter< itk::GPUImage< signed short, 3 >, itk::GPUImage< unsigned short, 3 > >'),
  ('GPUImageToImageFilter', 'itk::GPUImageToImageFilter', 'itkGPUImageToImageFilterGISS3GIF3InPlaceImageFilter', True, 'itk::GPUImage< signed short, 3 >, itk::GPUImage< float, 3 >, itk::InPlaceImageFilter< itk::GPUImage< signed short, 3 >, itk::GPUImage< float, 3 > >'),
  ('GPUImageToImageFilter', 'itk::GPUImageToImageFilter', 'itkGPUImageToImageFilterGISS3GID3InPlaceImageFilter', True, 'itk::GPUImage< signed short, 3 >, itk::GPUImage< double, 3 >, itk::InPlaceImageFilter< itk::GPUImage< signed short, 3 >, itk::GPUImage< double, 3 > >'),
  ('GPUImageToImageFilter', 'itk::GPUImageToImageFilter', 'itkGPUImageToImageFilterGIUS3GIUC3InPlaceImageFilter', True, 'itk::GPUImage< unsigned short, 3 >, itk::GPUImage< unsigned char, 3 >, itk::InPlaceImageFilter< itk::GPUImage< unsigned short, 3 >, itk::GPUImage< unsigned char, 3 > >'),
  ('GPUImageToImageFilter', 'itk::GPUImageToImageFilter', 'itkGPUImageToImageFilterGIUS3GIUL3InPlaceImageFilter', True, 'itk::GPUImage< unsigned short, 3 >, itk::GPUImage< unsigned long, 3 >, itk::InPlaceImageFilter< itk::GPUImage< unsigned short, 3 >, itk::GPUImage< unsigned long, 3 > >'),
  ('GPUImageToImageFilter', 'itk::GPUImageToImageFilter', 'itkGPUImageToImageFilterGIUS3GISS3InPlaceImageFilter', True, 'itk::GPUImage< unsigned short, 3 >, itk::GPUImage< signed short, 3 >, itk::InPlaceImageFilter< itk::GPUImage< unsigned short, 3 >, itk::GPUImage< signed short, 3 > >'),
  ('GPUImageToImageFilter', 'itk::GPUImageToImageFilter', 'itkGPUImageToImageFilterGIUS3GIUS3InPlaceImageFilter', True, 'itk::GPUImage< unsigned short, 3 >, itk::GPUImage< unsigned short, 3 >, itk::InPlaceImageFilter< itk::GPUImage< unsigned short, 3 >, itk::GPUImage< unsigned short, 3 > >'),
  ('GPUImageToImageFilter', 'itk::GPUImageToImageFilter', 'itkGPUImageToImageFilterGIUS3GIF3InPlaceImageFilter', True, 'itk::GPUImage< unsigned short, 3 >, itk::GPUImage< float, 3 >, itk::InPlaceImageFilter< itk::GPUImage< unsigned short, 3 >, itk::GPUImage< float, 3 > >'),
  ('GPUImageToImageFilter', 'itk::GPUImageToImageFilter', 'itkGPUImageToImageFilterGIUS3GID3InPlaceImageFilter', True, 'itk::GPUImage< unsigned short, 3 >, itk::GPUImage< double, 3 >, itk::InPlaceImageFilter< itk::GPUImage< unsigned short, 3 >, itk::GPUImage< double, 3 > >'),
  ('GPUImageToImageFilter', 'itk::GPUImageToImageFilter', 'itkGPUImageToImageFilterGIF3GIUC3InPlaceImageFilter', True, 'itk::GPUImage< float, 3 >, itk::GPUImage< unsigned char, 3 >, itk::InPlaceImageFilter< itk::GPUImage< float, 3 >, itk::GPUImage< unsigned char, 3 > >'),
  ('GPUImageToImageFilter', 'itk::GPUImageToImageFilter', 'itkGPUImageToImageFilterGIF3GIUL3InPlaceImageFilter', True, 'itk::GPUImage< float, 3 >, itk::GPUImage< unsigned long, 3 >, itk::InPlaceImageFilter< itk::GPUImage< float, 3 >, itk::GPUImage< unsigned long, 3 > >'),
  ('GPUImageToImageFilter', 'itk::GPUImageToImageFilter', 'itkGPUImageToImageFilterGIF3GISS3InPlaceImageFilter', True, 'itk::GPUImage< float, 3 >, itk::GPUImage< signed short, 3 >, itk::InPlaceImageFilter< itk::GPUImage< float, 3 >, itk::GPUImage< signed short, 3 > >'),
  ('GPUImageToImageFilter', 'itk::GPUImageToImageFilter', 'itkGPUImageToImageFilterGIF3GIUS3InPlaceImageFilter', True, 'itk::GPUImage< float, 3 >, itk::GPUImage< unsigned short, 3 >, itk::InPlaceImageFilter< itk::GPUImage< float, 3 >, itk::GPUImage< unsigned short, 3 > >'),
  ('GPUImageToImageFilter', 'itk::GPUImageToImageFilter', 'itkGPUImageToImageFilterGIF3GIF3InPlaceImageFilter', True, 'itk::GPUImage< float, 3 >, itk::GPUImage< float, 3 >, itk::InPlaceImageFilter< itk::GPUImage< float, 3 >, itk::GPUImage< float, 3 > >'),
  ('GPUImageToImageFilter', 'itk::GPUImageToImageFilter', 'itkGPUImageToImageFilterGIF3GID3InPlaceImageFilter', True, 'itk::GPUImage< float, 3 >, itk::GPUImage< double, 3 >, itk::InPlaceImageFilter< itk::GPUImage< float, 3 >, itk::GPUImage< double, 3 > >'),
  ('GPUImageToImageFilter', 'itk::GPUImageToImageFilter', 'itkGPUImageToImageFilterGID3GIUC3InPlaceImageFilter', True, 'itk::GPUImage< double, 3 >, itk::GPUImage< unsigned char, 3 >, itk::InPlaceImageFilter< itk::GPUImage< double, 3 >, itk::GPUImage< unsigned char, 3 > >'),
  ('GPUImageToImageFilter', 'itk::GPUImageToImageFilter', 'itkGPUImageToImageFilterGID3GIUL3InPlaceImageFilter', True, 'itk::GPUImage< double, 3 >, itk::GPUImage< unsigned long, 3 >, itk::InPlaceImageFilter< itk::GPUImage< double, 3 >, itk::GPUImage< unsigned long, 3 > >'),
  ('GPUImageToImageFilter', 'itk::GPUImageToImageFilter', 'itkGPUImageToImageFilterGID3GISS3InPlaceImageFilter', True, 'itk::GPUImage< double, 3 >, itk::GPUImage< signed short, 3 >, itk::InPlaceImageFilter< itk::GPUImage< double, 3 >, itk::GPUImage< signed short, 3 > >'),
  ('GPUImageToImageFilter', 'itk::GPUImageToImageFilter', 'itkGPUImageToImageFilterGID3GIUS3InPlaceImageFilter', True, 'itk::GPUImage< double, 3 >, itk::GPUImage< unsigned short, 3 >, itk::InPlaceImageFilter< itk::GPUImage< double, 3 >, itk::GPUImage< unsigned short, 3 > >'),
  ('GPUImageToImageFilter', 'itk::GPUImageToImageFilter', 'itkGPUImageToImageFilterGID3GIF3InPlaceImageFilter', True, 'itk::GPUImage< double, 3 >, itk::GPUImage< float, 3 >, itk::InPlaceImageFilter< itk::GPUImage< double, 3 >, itk::GPUImage< float, 3 > >'),
  ('GPUImageToImageFilter', 'itk::GPUImageToImageFilter', 'itkGPUImageToImageFilterGID3GID3InPlaceImageFilter', True, 'itk::GPUImage< double, 3 >, itk::GPUImage< double, 3 >, itk::InPlaceImageFilter< itk::GPUImage< double, 3 >, itk::GPUImage< double, 3 > >'),
  ('GPUImageToImageFilter', 'itk::GPUImageToImageFilter', 'itkGPUImageToImageFilterGIVF33GIVF33InPlaceImageFilter', True, 'itk::GPUImage< itk::Vector< float,3 >, 3 >, itk::GPUImage< itk::Vector< float,3 >, 3 >, itk::InPlaceImageFilter< itk::GPUImage< itk::Vector< float,3 >, 3 >, itk::GPUImage< itk::Vector< float,3 >, 3 > >'),
  ('GPUImageToImageFilter', 'itk::GPUImageToImageFilter', 'itkGPUImageToImageFilterGICVF33GICVF33InPlaceImageFilter', True, 'itk::GPUImage< itk::CovariantVector< float,3 >, 3 >, itk::GPUImage< itk::CovariantVector< float,3 >, 3 >, itk::InPlaceImageFilter< itk::GPUImage< itk::CovariantVector< float,3 >, 3 >, itk::GPUImage< itk::CovariantVector< float,3 >, 3 > >'),
  ('GPUInPlaceImageFilter', 'itk::GPUInPlaceImageFilter', 'itkGPUInPlaceImageFilterGIUC2GIUC2', True, 'itk::GPUImage< unsigned char, 2 >, itk::GPUImage< unsigned char, 2 >'),
  ('GPUInPlaceImageFilter', 'itk::GPUInPlaceImageFilter', 'itkGPUInPlaceImageFilterGIUC2GIUL2', True, 'itk::GPUImage< unsigned char, 2 >, itk::GPUImage< unsigned long, 2 >'),
  ('GPUInPlaceImageFilter', 'itk::GPUInPlaceImageFilter', 'itkGPUInPlaceImageFilterGIUC2GISS2', True, 'itk::GPUImage< unsigned char, 2 >, itk::GPUImage< signed short, 2 >'),
  ('GPUInPlaceImageFilter', 'itk::GPUInPlaceImageFilter', 'itkGPUInPlaceImageFilterGIUC2GIUS2', True, 'itk::GPUImage< unsigned char, 2 >, itk::GPUImage< unsigned short, 2 >'),
  ('GPUInPlaceImageFilter', 'itk::GPUInPlaceImageFilter', 'itkGPUInPlaceImageFilterGIUC2GIF2', True, 'itk::GPUImage< unsigned char, 2 >, itk::GPUImage< float, 2 >'),
  ('GPUInPlaceImageFilter', 'itk::GPUInPlaceImageFilter', 'itkGPUInPlaceImageFilterGIUC2GID2', True, 'itk::GPUImage< unsigned char, 2 >, itk::GPUImage< double, 2 >'),
  ('GPUInPlaceImageFilter', 'itk::GPUInPlaceImageFilter', 'itkGPUInPlaceImageFilterGISS2GIUC2', True, 'itk::GPUImage< signed short, 2 >, itk::GPUImage< unsigned char, 2 >'),
  ('GPUInPlaceImageFilter', 'itk::GPUInPlaceImageFilter', 'itkGPUInPlaceImageFilterGISS2GIUL2', True, 'itk::GPUImage< signed short, 2 >, itk::GPUImage< unsigned long, 2 >'),
  ('GPUInPlaceImageFilter', 'itk::GPUInPlaceImageFilter', 'itkGPUInPlaceImageFilterGISS2GISS2', True, 'itk::GPUImage< signed short, 2 >, itk::GPUImage< signed short, 2 >'),
  ('GPUInPlaceImageFilter', 'itk::GPUInPlaceImageFilter', 'itkGPUInPlaceImageFilterGISS2GIUS2', True, 'itk::GPUImage< signed short, 2 >, itk::GPUImage< unsigned short, 2 >'),
  ('GPUInPlaceImageFilter', 'itk::GPUInPlaceImageFilter', 'itkGPUInPlaceImageFilterGISS2GIF2', True, 'itk::GPUImage< signed short, 2 >, itk::GPUImage< float, 2 >'),
  ('GPUInPlaceImageFilter', 'itk::GPUInPlaceImageFilter', 'itkGPUInPlaceImageFilterGISS2GID2', True, 'itk::GPUImage< signed short, 2 >, itk::GPUImage< double, 2 >'),
  ('GPUInPlaceImageFilter', 'itk::GPUInPlaceImageFilter', 'itkGPUInPlaceImageFilterGIUS2GIUC2', True, 'itk::GPUImage< unsigned short, 2 >, itk::GPUImage< unsigned char, 2 >'),
  ('GPUInPlaceImageFilter', 'itk::GPUInPlaceImageFilter', 'itkGPUInPlaceImageFilterGIUS2GIUL2', True, 'itk::GPUImage< unsigned short, 2 >, itk::GPUImage< unsigned long, 2 >'),
  ('GPUInPlaceImageFilter', 'itk::GPUInPlaceImageFilter', 'itkGPUInPlaceImageFilterGIUS2GISS2', True, 'itk::GPUImage< unsigned short, 2 >, itk::GPUImage< signed short, 2 >'),
  ('GPUInPlaceImageFilter', 'itk::GPUInPlaceImageFilter', 'itkGPUInPlaceImageFilterGIUS2GIUS2', True, 'itk::GPUImage< unsigned short, 2 >, itk::GPUImage< unsigned short, 2 >'),
  ('GPUInPlaceImageFilter', 'itk::GPUInPlaceImageFilter', 'itkGPUInPlaceImageFilterGIUS2GIF2', True, 'itk::GPUImage< unsigned short, 2 >, itk::GPUImage< float, 2 >'),
  ('GPUInPlaceImageFilter', 'itk::GPUInPlaceImageFilter', 'itkGPUInPlaceImageFilterGIUS2GID2', True, 'itk::GPUImage< unsigned short, 2 >, itk::GPUImage< double, 2 >'),
  ('GPUInPlaceImageFilter', 'itk::GPUInPlaceImageFilter', 'itkGPUInPlaceImageFilterGIF2GIUC2', True, 'itk::GPUImage< float, 2 >, itk::GPUImage< unsigned char, 2 >'),
  ('GPUInPlaceImageFilter', 'itk::GPUInPlaceImageFilter', 'itkGPUInPlaceImageFilterGIF2GIUL2', True, 'itk::GPUImage< float, 2 >, itk::GPUImage< unsigned long, 2 >'),
  ('GPUInPlaceImageFilter', 'itk::GPUInPlaceImageFilter', 'itkGPUInPlaceImageFilterGIF2GISS2', True, 'itk::GPUImage< float, 2 >, itk::GPUImage< signed short, 2 >'),
  ('GPUInPlaceImageFilter', 'itk::GPUInPlaceImageFilter', 'itkGPUInPlaceImageFilterGIF2GIUS2', True, 'itk::GPUImage< float, 2 >, itk::GPUImage< unsigned short, 2 >'),
  ('GPUInPlaceImageFilter', 'itk::GPUInPlaceImageFilter', 'itkGPUInPlaceImageFilterGIF2GIF2', True, 'itk::GPUImage< float, 2 >, itk::GPUImage< float, 2 >'),
  ('GPUInPlaceImageFilter', 'itk::GPUInPlaceImageFilter', 'itkGPUInPlaceImageFilterGIF2GID2', True, 'itk::GPUImage< float, 2 >, itk::GPUImage< double, 2 >'),
  ('GPUInPlaceImageFilter', 'itk::GPUInPlaceImageFilter', 'itkGPUInPlaceImageFilterGID2GIUC2', True, 'itk::GPUImage< double, 2 >, itk::GPUImage< unsigned char, 2 >'),
  ('GPUInPlaceImageFilter', 'itk::GPUInPlaceImageFilter', 'itkGPUInPlaceImageFilterGID2GIUL2', True, 'itk::GPUImage< double, 2 >, itk::GPUImage< unsigned long, 2 >'),
  ('GPUInPlaceImageFilter', 'itk::GPUInPlaceImageFilter', 'itkGPUInPlaceImageFilterGID2GISS2', True, 'itk::GPUImage< double, 2 >, itk::GPUImage< signed short, 2 >'),
  ('GPUInPlaceImageFilter', 'itk::GPUInPlaceImageFilter', 'itkGPUInPlaceImageFilterGID2GIUS2', True, 'itk::GPUImage< double, 2 >, itk::GPUImage< unsigned short, 2 >'),
  ('GPUInPlaceImageFilter', 'itk::GPUInPlaceImageFilter', 'itkGPUInPlaceImageFilterGID2GIF2', True, 'itk::GPUImage< double, 2 >, itk::GPUImage< float, 2 >'),
  ('GPUInPlaceImageFilter', 'itk::GPUInPlaceImageFilter', 'itkGPUInPlaceImageFilterGID2GID2', True, 'itk::GPUImage< double, 2 >, itk::GPUImage< double, 2 >'),
  ('GPUInPlaceImageFilter', 'itk::GPUInPlaceImageFilter', 'itkGPUInPlaceImageFilterGIVF22GIVF22', True, 'itk::GPUImage< itk::Vector< float,2 >, 2 >, itk::GPUImage< itk::Vector< float,2 >, 2 >'),
  ('GPUInPlaceImageFilter', 'itk::GPUInPlaceImageFilter', 'itkGPUInPlaceImageFilterGICVF22GICVF22', True, 'itk::GPUImage< itk::CovariantVector< float,2 >, 2 >, itk::GPUImage< itk::CovariantVector< float,2 >, 2 >'),
  ('GPUInPlaceImageFilter', 'itk::GPUInPlaceImageFilter', 'itkGPUInPlaceImageFilterGIUC3GIUC3', True, 'itk::GPUImage< unsigned char, 3 >, itk::GPUImage< unsigned char, 3 >'),
  ('GPUInPlaceImageFilter', 'itk::GPUInPlaceImageFilter', 'itkGPUInPlaceImageFilterGIUC3GIUL3', True, 'itk::GPUImage< unsigned char, 3 >, itk::GPUImage< unsigned long, 3 >'),
  ('GPUInPlaceImageFilter', 'itk::GPUInPlaceImageFilter', 'itkGPUInPlaceImageFilterGIUC3GISS3', True, 'itk::GPUImage< unsigned char, 3 >, itk::GPUImage< signed short, 3 >'),
  ('GPUInPlaceImageFilter', 'itk::GPUInPlaceImageFilter', 'itkGPUInPlaceImageFilterGIUC3GIUS3', True, 'itk::GPUImage< unsigned char, 3 >, itk::GPUImage< unsigned short, 3 >'),
  ('GPUInPlaceImageFilter', 'itk::GPUInPlaceImageFilter', 'itkGPUInPlaceImageFilterGIUC3GIF3', True, 'itk::GPUImage< unsigned char, 3 >, itk::GPUImage< float, 3 >'),
  ('GPUInPlaceImageFilter', 'itk::GPUInPlaceImageFilter', 'itkGPUInPlaceImageFilterGIUC3GID3', True, 'itk::GPUImage< unsigned char, 3 >, itk::GPUImage< double, 3 >'),
  ('GPUInPlaceImageFilter', 'itk::GPUInPlaceImageFilter', 'itkGPUInPlaceImageFilterGISS3GIUC3', True, 'itk::GPUImage< signed short, 3 >, itk::GPUImage< unsigned char, 3 >'),
  ('GPUInPlaceImageFilter', 'itk::GPUInPlaceImageFilter', 'itkGPUInPlaceImageFilterGISS3GIUL3', True, 'itk::GPUImage< signed short, 3 >, itk::GPUImage< unsigned long, 3 >'),
  ('GPUInPlaceImageFilter', 'itk::GPUInPlaceImageFilter', 'itkGPUInPlaceImageFilterGISS3GISS3', True, 'itk::GPUImage< signed short, 3 >, itk::GPUImage< signed short, 3 >'),
  ('GPUInPlaceImageFilter', 'itk::GPUInPlaceImageFilter', 'itkGPUInPlaceImageFilterGISS3GIUS3', True, 'itk::GPUImage< signed short, 3 >, itk::GPUImage< unsigned short, 3 >'),
  ('GPUInPlaceImageFilter', 'itk::GPUInPlaceImageFilter', 'itkGPUInPlaceImageFilterGISS3GIF3', True, 'itk::GPUImage< signed short, 3 >, itk::GPUImage< float, 3 >'),
  ('GPUInPlaceImageFilter', 'itk::GPUInPlaceImageFilter', 'itkGPUInPlaceImageFilterGISS3GID3', True, 'itk::GPUImage< signed short, 3 >, itk::GPUImage< double, 3 >'),
  ('GPUInPlaceImageFilter', 'itk::GPUInPlaceImageFilter', 'itkGPUInPlaceImageFilterGIUS3GIUC3', True, 'itk::GPUImage< unsigned short, 3 >, itk::GPUImage< unsigned char, 3 >'),
  ('GPUInPlaceImageFilter', 'itk::GPUInPlaceImageFilter', 'itkGPUInPlaceImageFilterGIUS3GIUL3', True, 'itk::GPUImage< unsigned short, 3 >, itk::GPUImage< unsigned long, 3 >'),
  ('GPUInPlaceImageFilter', 'itk::GPUInPlaceImageFilter', 'itkGPUInPlaceImageFilterGIUS3GISS3', True, 'itk::GPUImage< unsigned short, 3 >, itk::GPUImage< signed short, 3 >'),
  ('GPUInPlaceImageFilter', 'itk::GPUInPlaceImageFilter', 'itkGPUInPlaceImageFilterGIUS3GIUS3', True, 'itk::GPUImage< unsigned short, 3 >, itk::GPUImage< unsigned short, 3 >'),
  ('GPUInPlaceImageFilter', 'itk::GPUInPlaceImageFilter', 'itkGPUInPlaceImageFilterGIUS3GIF3', True, 'itk::GPUImage< unsigned short, 3 >, itk::GPUImage< float, 3 >'),
  ('GPUInPlaceImageFilter', 'itk::GPUInPlaceImageFilter', 'itkGPUInPlaceImageFilterGIUS3GID3', True, 'itk::GPUImage< unsigned short, 3 >, itk::GPUImage< double, 3 >'),
  ('GPUInPlaceImageFilter', 'itk::GPUInPlaceImageFilter', 'itkGPUInPlaceImageFilterGIF3GIUC3', True, 'itk::GPUImage< float, 3 >, itk::GPUImage< unsigned char, 3 >'),
  ('GPUInPlaceImageFilter', 'itk::GPUInPlaceImageFilter', 'itkGPUInPlaceImageFilterGIF3GIUL3', True, 'itk::GPUImage< float, 3 >, itk::GPUImage< unsigned long, 3 >'),
  ('GPUInPlaceImageFilter', 'itk::GPUInPlaceImageFilter', 'itkGPUInPlaceImageFilterGIF3GISS3', True, 'itk::GPUImage< float, 3 >, itk::GPUImage< signed short, 3 >'),
  ('GPUInPlaceImageFilter', 'itk::GPUInPlaceImageFilter', 'itkGPUInPlaceImageFilterGIF3GIUS3', True, 'itk::GPUImage< float, 3 >, itk::GPUImage< unsigned short, 3 >'),
  ('GPUInPlaceImageFilter', 'itk::GPUInPlaceImageFilter', 'itkGPUInPlaceImageFilterGIF3GIF3', True, 'itk::GPUImage< float, 3 >, itk::GPUImage< float, 3 >'),
  ('GPUInPlaceImageFilter', 'itk::GPUInPlaceImageFilter', 'itkGPUInPlaceImageFilterGIF3GID3', True, 'itk::GPUImage< float, 3 >, itk::GPUImage< double, 3 >'),
  ('GPUInPlaceImageFilter', 'itk::GPUInPlaceImageFilter', 'itkGPUInPlaceImageFilterGID3GIUC3', True, 'itk::GPUImage< double, 3 >, itk::GPUImage< unsigned char, 3 >'),
  ('GPUInPlaceImageFilter', 'itk::GPUInPlaceImageFilter', 'itkGPUInPlaceImageFilterGID3GIUL3', True, 'itk::GPUImage< double, 3 >, itk::GPUImage< unsigned long, 3 >'),
  ('GPUInPlaceImageFilter', 'itk::GPUInPlaceImageFilter', 'itkGPUInPlaceImageFilterGID3GISS3', True, 'itk::GPUImage< double, 3 >, itk::GPUImage< signed short, 3 >'),
  ('GPUInPlaceImageFilter', 'itk::GPUInPlaceImageFilter', 'itkGPUInPlaceImageFilterGID3GIUS3', True, 'itk::GPUImage< double, 3 >, itk::GPUImage< unsigned short, 3 >'),
  ('GPUInPlaceImageFilter', 'itk::GPUInPlaceImageFilter', 'itkGPUInPlaceImageFilterGID3GIF3', True, 'itk::GPUImage< double, 3 >, itk::GPUImage< float, 3 >'),
  ('GPUInPlaceImageFilter', 'itk::GPUInPlaceImageFilter', 'itkGPUInPlaceImageFilterGID3GID3', True, 'itk::GPUImage< double, 3 >, itk::GPUImage< double, 3 >'),
  ('GPUInPlaceImageFilter', 'itk::GPUInPlaceImageFilter', 'itkGPUInPlaceImageFilterGIVF33GIVF33', True, 'itk::GPUImage< itk::Vector< float,3 >, 3 >, itk::GPUImage< itk::Vector< float,3 >, 3 >'),
  ('GPUInPlaceImageFilter', 'itk::GPUInPlaceImageFilter', 'itkGPUInPlaceImageFilterGICVF33GICVF33', True, 'itk::GPUImage< itk::CovariantVector< float,3 >, 3 >, itk::GPUImage< itk::CovariantVector< float,3 >, 3 >'),
  ('GPUReduction', 'itk::GPUReduction', 'itkGPUReductionSS', True, 'signed short'),
  ('GPUReduction', 'itk::GPUReduction', 'itkGPUReductionUC', True, 'unsigned char'),
  ('GPUReduction', 'itk::GPUReduction', 'itkGPUReductionUS', True, 'unsigned short'),
  ('GPUReduction', 'itk::GPUReduction', 'itkGPUReductionF', True, 'float'),
  ('GPUReduction', 'itk::GPUReduction', 'itkGPUReductionD', True, 'double'),
)
snake_case_functions = ('image_source', 'gpu_image_to_image_filter', 'image_to_image_filter', 'gpu_in_place_image_filter', 'in_place_image_filter', )
